VTK: vtkObject Class Reference

| VTK 9.3.1

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkObject Class Reference

abstract base class for most VTK objects More...

`#include <vtkObject.h>`

Inherits vtkObjectBase.

Inherited by vtkBuffer< ValueType >, ExternalVTKWidget, vtkAMRDataInternals, vtkAMRDataSetCache, vtkAMRInformation, vtkAMRUtilities, vtkAbstractArray, vtkAbstractCellLinks, vtkAbstractContextBufferId, vtkAbstractContextItem, vtkAbstractGridConnectivity, vtkAbstractImageInterpolator, vtkAbstractInteractionDevice, vtkAbstractPicker, vtkAbstractRenderDevice, vtkAbstractTransform, vtkAdjacentVertexIterator, vtkAlgorithm, vtkAlgorithmOutput, vtkAmoebaMinimizer, vtkAnimationCue, vtkArchiver, vtkAreaLayoutStrategy, vtkArray, vtkArrayIterator, vtkAssemblyNode, vtkAxisExtended, vtkBSPIntersections, vtkBackgroundColorMonitor, vtkBase64Utilities, vtkBlueObeliskData, vtkBrush, vtkBuffer< ScalarTypeT >, vtkByteSwap, vtkCPExodusIIElementBlockImpl, vtkCamera, vtkCameraInterpolator, vtkCell, vtkCellArray, vtkCellArrayIterator, vtkCellAttribute, vtkCellGridQuery, vtkCellGridResponderBase, vtkCellGridResponders, vtkCellIterator, vtkCellMetadata, vtkCellTypes, vtkCirclePackLayoutStrategy, vtkCocoaTkUtilities, vtkCoincidentPoints, vtkCollection, vtkCollectionIterator, vtkColorSeries, vtkCommunicator, vtkCompositeDataDisplayAttributes, vtkCompositeDataDisplayAttributesLegacy, vtkCompositeDataIterator, vtkCompositePolyDataMapperDelegator, vtkCompositer, vtkConduitArrayUtilities, vtkContext2D, vtkContext3D, vtkContextDevice2D, vtkContextDevice3D, vtkContextScene, vtkContourLineInterpolator, vtkContourValues, vtkCoordinate, vtkCriticalSection, vtkCuller, vtkDIYDataExchanger, vtkDIYGhostUtilities, vtkDIYKdTreeUtilities, vtkDIYUtilities, vtkDSPFilterDefinition, vtkDSPFilterGroup, vtkDataArraySelection, vtkDataAssembly, vtkDataAssemblyUtilities, vtkDataAssemblyVisitor, vtkDataCompressor, vtkDataEncoder, vtkDataObject, vtkDataObjectTypes, vtkDataTransferHelper, vtkDebugLeaks, vtkDirectionEncoder, vtkDirectory, vtkDistributedGraphHelper, vtkDynamicLoader, vtkEdgeLayoutStrategy, vtkEdgeListIterator, vtkEdgeSubdivisionCriterion, vtkEdgeTable, vtkEncodedGradientEstimator, vtkEncodedGradientShader, vtkEvent, vtkEventQtSlotConnect, vtkExecutableRunner, vtkExecutionTimer, vtkExecutive, vtkExodusIICache, vtkExodusIIReaderPrivate, vtkExporter, vtkExprTkFunctionParser, vtkExtentRCBPartitioner, vtkExtentSplitter, vtkExtentTranslator, vtkExtractStructuredGridHelper, vtkFFT, vtkFXAAOptions, vtkFieldData, vtkFieldDataSerializer, vtkFileSeriesHelper, vtkFindCellStrategy, vtkFixedPointRayCastImage, vtkFixedPointVolumeRayCastHelper, vtkFrameBufferObjectBase, vtkFreeTypeTools, vtkFunctionParser, vtkFunctionSet, vtkGDAL, vtkGDALRasterConverter, vtkGDALRasterReprojection, vtkGLTFDocumentLoader, vtkGPUInfo, vtkGPUInfoList, vtkGarbageCollector, vtkGenericAdaptorCell, vtkGenericAttribute, vtkGenericAttributeCollection, vtkGenericCellIterator, vtkGenericCellTessellator, vtkGenericEdgeTable, vtkGenericPointIterator, vtkGenericSubdivisionErrorMetric, vtkGenericVertexAttributeMapping, vtkGeoMath, vtkGeoProjection, vtkGlobFileNames, vtkGraphEdge, vtkGraphInternals, vtkGraphLayoutStrategy, vtkGraphicsFactory, vtkHardwareSelector, vtkHeap, vtkHierarchicalGraphPipeline, vtkHigherOrderInterpolation, vtkHyperTree, vtkHyperTreeCursor, vtkHyperTreeGridLocator, vtkHyperTreeGridNonOrientedCursor, vtkHyperTreeGridNonOrientedGeometryCursor, vtkHyperTreeGridNonOrientedSuperCursor, vtkHyperTreeGridNonOrientedSuperCursorLight, vtkHyperTreeGridNonOrientedUnlimitedGeometryCursor, vtkHyperTreeGridNonOrientedUnlimitedSuperCursor, vtkHyperTreeGridOrientedCursor, vtkHyperTreeGridOrientedGeometryCursor, vtkIOSSFilesScanner, vtkIdList, vtkImageConnector, vtkImageOrthoPlanes, vtkImageProperty, vtkImageReader2Factory, vtkImageTransform, vtkImageViewer, vtkImageViewer2, vtkImplicitFunction, vtkImporter, vtkInEdgeIterator, vtkIncrementalForceLayout, vtkIncrementalOctreeNode, vtkInformation, vtkInformationIterator, vtkInformationKeyLookup, vtkInformationVector, vtkInitialValueProblemSolver, vtkInputStream, vtkInteractorObserver, vtkInterpolationKernel, vtkKMeansDistanceFunctor, vtkKdNode, vtkLSDynaPart, vtkLSDynaPartCollection, vtkLabelHierarchyIterator, vtkLabelRenderStrategy, vtkLight, vtkLightKit, vtkLineIntegralConvolution2D, vtkLocator, vtkMINCImageAttributes, vtkMPI4PyCommunicator, vtkMPIEventLog, vtkMarkerUtilities, vtkMath, vtkMathTextUtilities, vtkMatrix3x3, vtkMatrix4x4, vtkMeanValueCoordinatesInterpolator, vtkMedicalImageProperties, vtkMergeCells, vtkModelMetadata, vtkMultiProcessController, vtkMultiThreader, vtkMutableGraphHelper, vtkNIFTIImageHeader, vtkNamedColors, vtkOSPRayMaterialLibrary, vtkObjectFactory, vtkObjectIdMap, vtkObserverMediator, vtkOctreePointLocatorNode, vtkOpenGLBufferObject, vtkOpenGLCellToVTKCellMap, vtkOpenGLFXAAFilter, vtkOpenGLGL2PSHelper, vtkOpenGLImageAlgorithmHelper, vtkOpenGLInstanceCulling, vtkOpenGLRenderUtilities, vtkOpenGLShaderCache, vtkOpenGLState, vtkOpenGLVertexArrayObject, vtkOpenGLVertexBufferObjectCache, vtkOpenGLVertexBufferObjectGroup, vtkOpenGLVolumeLookupTable, vtkOpenGLVolumeLookupTables< T >, vtkOpenVROverlay, vtkOpenXRManagerConnection, vtkOpenXRManagerGraphics, vtkOpenXRUtilities, vtkOrderedTriangulator, vtkOutEdgeIterator, vtkOutputStream, vtkOutputWindow, vtkOverrideInformation, vtkPDirectory, vtkPSystemTools, vtkParallelRenderManager, vtkParallelTimer, vtkParametricFunction, vtkPen, vtkPeriodicTable, vtkPickingManager, vtkPipelineSize, vtkPixelBufferObject, vtkPointPlacer, vtkPoints, vtkPoints2D, vtkPolyData_detail::CellMap, vtkPolynomialSolversUnivariate, vtkPriorityQueue, vtkProcess, vtkProcessGroup, vtkProgressObserver, vtkProp, vtkProperty, vtkProperty2D, vtkQtInitialization, vtkQtTimePointUtility, vtkQuadratureSchemeDefinition, vtkQuaternionInterpolator, vtkRandomPool, vtkRandomSequence, vtkRayCastImageDisplayHelper, vtkReebGraphSimplificationMetric, vtkReferenceCount, vtkRenderPass, vtkRenderTimerLog, vtkRenderWidget, vtkRenderWindowInteractor, vtkRenderbuffer, vtkRendererDelegate, vtkResliceCursor, vtkResliceImageViewerMeasurements, vtkResourceFileLocator, vtkResourceParser, vtkResourceStream, vtkRowQuery, vtkSILBuilder, vtkSQLDatabase, vtkSQLDatabaseSchema, vtkScalarTree, vtkScalarsToColors, vtkScenePicker, vtkSelectionNode, vtkSelector, vtkShader, vtkShaderProgram, vtkShaderProperty, vtkSliceCubes, vtkSocket, vtkSortDataArray, vtkSortFileNames, vtkSphereTree, vtkSphericalPointIterator, vtkSpline, vtkStereoCompositor, vtkStreamingTessellator, vtkStringManager, vtkStringToImage, vtkStructuredData, vtkStructuredExtent, vtkStructuredImplicitConnectivity, vtkSubGroup, vtkSurfaceLICComposite, vtkSurfaceLICInterface, vtkSynchronizedRenderWindows, vtkSynchronizedRenderers, vtkTDxInteractorStyle, vtkTDxInteractorStyleSettings, vtkTestNewVar, vtkTextCodec, vtkTextCodecFactory, vtkTextProperty, vtkTextRenderer, vtkTextureObject, vtkTextureUnitManager, vtkThreadedCallbackQueue, vtkThreadedImageWriter, vtkTimePointUtility, vtkTimerLog, vtkToImplicitStrategy, vtkTransform2D, vtkTransformFeedback, vtkTransformInterpolator, vtkTreeIterator, vtkTupleInterpolator, vtkURI, vtkURILoader, vtkUniforms, vtkUnstructuredGridVolumeRayCastFunction, vtkUnstructuredGridVolumeRayCastIterator, vtkUnstructuredGridVolumeRayIntegrator, vtkVRCollaborationClient, vtkVRModel, vtkVRRay, vtkVersion, vtkVertexListIterator, vtkView, vtkViewNode, vtkViewNodeFactory, vtkViewTheme, vtkViewUpdater, vtkViewport, vtkVisibilitySort, vtkVoidArray, vtkVolumeProperty, vtkVolumeTexture, vtkVtkJSSceneGraphSerializer, vtkWeakReference, vtkWebApplication, vtkWebGLDataSet, vtkWebGLExporter, vtkWebGLObject, vtkWebInteractionEvent, vtkWebUtilities, vtkWidgetCallbackMapper, vtkWidgetEvent, vtkWidgetEventTranslator, vtkWidgetSet, vtkWindow, vtkX3DExporterWriter, vtkXMLCompositeDataSetWriterHelper, vtkXMLDataElement, vtkXMLHierarchicalBoxDataFileConverter, vtkXMLParser, vtkXMLUtilities, vtkXdmfDataArray, and vtkZSpaceSDKManager.

Collaboration diagram for vtkObject:
[legend]

## Public Member Functions
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkTypeBool | IsA (const char *name)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers
class | vtkObjectCommandInternal
| Called by templated variants of AddObserver. More...

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

abstract base class for most VTK objects

vtkObject is the base class for most objects in the visualization toolkit. vtkObject provides methods for tracking modification time, debugging, printing, and event callbacks. Most objects created within the VTK framework should be a subclass of vtkObject or one of its children. The few exceptions tend to be very small helper classes that usually never get instantiated or situations where multiple inheritance gets in the way. vtkObject also performs reference counting: objects that are reference counted exist as long as another object uses them. Once the last reference to a reference counted object is removed, the object will spontaneously destruct.

Warning
  Note: in VTK objects should always be created with the New() method and deleted with the Delete() method. VTK objects cannot be allocated off the stack (i.e., automatic objects) because the constructor is a protected method.

See also
  vtkCommand vtkTimeStamp

Events:
  vtkCommand::DeleteEvent vtkCommand::ModifiedEvent

Examples:
  vtkObject (Examples)

Online Examples:

Tests:
  vtkObject (Tests)

Definition at line 60 of file vtkObject.h.

## Constructor & Destructor Documentation

## ◆ vtkObject()

vtkObject::vtkObject | ( |  | ) |
| protected

## ◆ ~vtkObject()

vtkObject::~vtkObject | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ vtkBaseTypeMacro()

vtkObject::vtkBaseTypeMacro | ( | vtkObject | ,
|  | vtkObjectBase |
| ) |  |

## ◆ New()

static vtkObject* vtkObject::New | ( |  | ) |
| static

Create an object with Debug turned off, modified time initialized to zero, and reference counting on.

## ◆ DebugOn()

virtual void vtkObject::DebugOn | ( |  | ) |
| virtual

Turn debugging output on.

Reimplemented in vtkImageOpenClose3D.

## ◆ DebugOff()

virtual void vtkObject::DebugOff | ( |  | ) |
| virtual

Turn debugging output off.

Reimplemented in vtkImageOpenClose3D.

## ◆ GetDebug()

bool vtkObject::GetDebug | ( |  | ) |

Get the value of the debug flag.

## ◆ SetDebug()

void vtkObject::SetDebug | ( | bool | debugFlag | ) |

Set the value of the debug flag.

A true value turns debugging on.

## ◆ BreakOnError()

static void vtkObject::BreakOnError | ( |  | ) |
| static

This method is called when vtkErrorMacro executes.

It allows the debugger to break on error.

## ◆ Modified()

virtual void vtkObject::Modified | ( |  | ) |
| virtual

Update the modification time for this object.

Many filters rely on the modification time to determine if they need to recompute their data. The modification time is a unique monotonically increasing unsigned long integer.

Reimplemented in vtkLODActor, vtkLightKit, vtkOrientationMarkerWidget, vtkImageOpenClose3D, vtkPoints, vtkMappedDataArray< Scalar >, vtkInformation, vtkDataArray, and vtkAbstractArray.

## ◆ GetMTime()

virtual vtkMTimeType vtkObject::GetMTime | ( |  | ) |
| virtual

Return this object's modified time.

Reimplemented in vtkApplyColors, vtkMultiVolume, vtkOSPRayVolumeNode, vtkOSPRayActorNode, vtkQtTreeRingLabelMapper, vtkOpenGLVertexBufferObjectGroup, vtkLabelPlacer, vtkLabeledDataMapper, vtkImageStack, vtkImageResliceMapper, vtkDepthImageToPointCloud, vtkVolumeProperty, vtkVolume, vtkTransformInterpolator, vtkTransformCoordinateSystems, vtkTexturedActor2D, vtkTextMapper, vtkSelectVisiblePoints, vtkRendererSource, vtkRenderer, vtkPropAssembly, vtkProp3D, vtkPolyDataMapper2D, vtkMapper, vtkLightActor, vtkImageSliceMapper, vtkImageSlice, vtkImageProperty, vtkImageMapper, vtkGraphToGlyphs, vtkGraphMapper, vtkDistanceToCamera, vtkDiscretizableColorTransferFunction, vtkDataSetMapper, vtkCompositePolyDataMapper, vtkCameraInterpolator, vtkCameraActor, vtkAssemblyPaths, vtkAssemblyPath, vtkAssemblyNode, vtkAssembly, vtkActor2D, vtkActor, vtkAbstractMapper, vtkAbstractHyperTreeGridMapper, vtkXYPlotActor, vtkGraphAnnotationLayersFilter, vtkConvexHull2D, vtkAxesActor, vtkArcPlotter, vtkAnnotatedCubeActor, vtkVeraOutReader, vtkRowQueryToTable, vtkNek5000Reader, vtkOMFReader, vtkMPASReader, vtkMNITagPointWriter, vtkIOSSReader, vtkTemporalDelimitedTextReader, vtkSTLReader, vtkMCubesReader, vtkExporter, vtkExodusIIReader, vtkSliderRepresentation3D, vtkResliceCursorPolyDataAlgorithm, vtkResliceCursorActor, vtkResliceCursor, vtkMagnifierRepresentation, vtkLineRepresentation, vtkHandleRepresentation, vtkBorderRepresentation, vtkTreeMapLayout, vtkSplineGraphEdges, vtkGraphLayout, vtkEdgeLayout, vtkCirclePackLayout, vtkAreaLayout, vtkTableToGraph, vtkLassoStencilSource, vtkImplicitFunctionToImageStencil, vtkImageThresholdConnectivity, vtkImageOpenClose3D, vtkSampleFunction, vtkImageSeparableConvolution, vtkImageResliceToColors, vtkImageReslice, vtkImageResize, vtkImageMapToColors, vtkPolyPointSource, vtkParametricFunctionSource, vtkHyperTreeGridSource, vtkFrustumSource, vtkKdTreeSelector, vtkSPHInterpolator, vtkPointInterpolator, vtkFitImplicitFunction, vtkExtractPoints, vtkExtractCTHPart, vtkOTDensityMap, vtkSelectPolyData, vtkCollisionDetectionFilter, vtkBandedPolyDataContourFilter, vtkAdaptiveSubdivisionFilter, vtkHyperTreeGridContour, vtkHyperTreeGridAxisClip, vtkWeightedTransformFilter, vtkTransformToGrid, vtkPolyDataSilhouette, vtkGridTransform, vtkDepthSortPolyData, vtkBSplineTransform, vtkAdaptiveDataSetSurfaceFilter, vtkUnstructuredGridGeometryFilter, vtkLinearToQuadraticCellsFilter, vtkGenericGeometryFilter, vtkGenericDataSetTessellator, vtkGenericCutter, vtkGenericContourFilter, vtkGenericClip, vtkTransformPolyDataFilter, vtkTransformFilter, vtkTessellatorFilter, vtkTableBasedClipDataSet, vtkSampleImplicitFunctionFilter, vtkMarchingContourFilter, vtkImageMarchingCubes, vtkExtractSelectedFrustum, vtkDiscreteFlyingEdgesClipper2D, vtkDiscreteFlyingEdges3D, vtkDiscreteFlyingEdges2D, vtkClipVolume, vtkClipDataSet, vtkClipConvexPolyData, vtkBoxClipDataSet, vtkAnnotationLink, vtkLagrangianParticleTracker, vtkFrustumSelector, vtkExtractUnstructuredGrid, vtkExtractPolyDataGeometry, vtkExtractGeometry, vtkVoronoi2D, vtkSynchronizedTemplates3D, vtkSynchronizedTemplates2D, vtkSurfaceNets3D, vtkSurfaceNets2D, vtkStructuredDataPlaneCutter, vtkStaticCleanUnstructuredGrid, vtkStaticCleanPolyData, vtkSphereTreeFilter, vtkResampleWithDataSet, vtkRectilinearSynchronizedTemplates, vtkPolyDataPlaneCutter, vtkPolyDataPlaneClipper, vtkPlaneCutter, vtkMarchingSquares, vtkMarchingCubes, vtkImplicitProjectOnPlaneDistance, vtkImplicitPolyDataDistance, vtkGridSynchronizedTemplates3D, vtkGlyph3D, vtkFlyingEdgesPlaneCutter, vtkFlyingEdges3D, vtkFlyingEdges2D, vtkFeatureEdges, vtkExtractEdges, vtkDelaunay3D, vtkCutter, vtkContourGrid, vtkContourFilter, vtkContour3DLinearGrid, vtkClipPolyData, vtkCleanPolyData, vtk3DLinearGridPlaneCutter, vtk3DLinearGridCrinkleExtractor, vtkTransform2D, vtkTransform, vtkThinPlateSplineTransform, vtkPerspectiveTransform, vtkMatrixToLinearTransform, vtkMatrixToHomogeneousTransform, vtkLandmarkTransform, vtkGeneralTransform, vtkAbstractTransform, vtkFunctionParser, vtkExprTkFunctionParser, vtkTrivialProducer, vtkSpline, vtkSelectionNode, vtkSelection, vtkPolyPlane, vtkPolyData, vtkPointSet, vtkPartitionedDataSetCollection, vtkMappedUnstructuredGrid< Implementation, CellIterator >, vtkIterativeClosestPointTransform, vtkImplicitWindowFunction, vtkImplicitVolume, vtkImplicitSum, vtkImplicitSelectionLoop, vtkImplicitFunction, vtkImplicitDataSet, vtkImplicitBoolean, vtkGraph, vtkGenericDataSet, vtkGenericAttributeCollection, vtkFieldData, vtkDataSet, vtkDataObject, vtkAnnotationLayers, vtkAnnotation, and vtkPoints.

## ◆ PrintSelf()

void vtkObject::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObjectBase.

Reimplemented in vtkStructuredGridPartitioner, vtkRectilinearGridPartitioner, vtkAMRToMultiBlockFilter, vtkAMRResampleFilter, vtkAMRCutPlane, vtkUniformGridPartitioner, vtkImageToStructuredGrid, vtkExtentRCBPartitioner, vtkWebGLWidget, vtkWebGLPolyData, vtkWebGLObject, vtkWebGLExporter, vtkWebGLDataSet, vtkPVWebGLExporter, vtkWebUtilities, vtkWebInteractionEvent, vtkWebApplication, vtkObjectIdMap, vtkDataEncoder, vtkQtView, vtkQtTreeView, vtkQtTableView, vtkQtTableRepresentation, vtkQtRecordView, vtkQtListView, vtkQtAnnotationView, vtkViewUpdater, vtkTreeRingView, vtkTreeMapView, vtkTreeHeatmapItem, vtkTreeAreaView, vtkTanglegramItem, vtkSCurveSpline, vtkRenderView, vtkRenderedTreeAreaRepresentation, vtkRenderedSurfaceRepresentation, vtkRenderedRepresentation, vtkRenderedHierarchyRepresentation, vtkRenderedGraphRepresentation, vtkParallelCoordinatesView, vtkParallelCoordinatesRepresentation, vtkParallelCoordinatesHistogramRepresentation, vtkInteractorStyleTreeMapHover, vtkInteractorStyleAreaSelectHover, vtkIcicleView, vtkHierarchicalGraphView, vtkHierarchicalGraphPipeline, vtkHeatmapItem, vtkGraphLayoutView, vtkGraphItem, vtkDendrogramItem, vtkApplyIcons, vtkApplyColors, vtkViewTheme, vtkView, vtkRenderViewBase, vtkEmptyRepresentation, vtkDataRepresentation, vtkConvertSelectionDomain, vtkContextView, vtkContextInteractorStyle, vtkZSpaceSDKManager, vtkZSpaceRenderWindowInteractor, vtkZSpaceRenderer, vtkZSpaceRayActor, vtkZSpaceInteractorStyle, vtkZSpaceHardwarePicker, vtkZSpaceCoreSDKManager, vtkZSpaceCoreCompatibilitySDKManager, vtkZSpaceCamera, vtkWebGPURenderWindow, vtkWebGPURenderPass, vtkWebGPURenderer, vtkWebGPUProperty, vtkWebGPUPolyDataMapper, vtkWebGPULight, vtkWebGPUHardwareSelector, vtkWebGPUClearPass, vtkWebGPUCamera, vtkWebGPUActor, vtkSDL2WebGPURenderWindow, vtkVtkJSViewNodeFactory, vtkVtkJSSceneGraphSerializer, vtkVRRenderWindowInteractor, vtkVRRenderWindow, vtkVRRenderer, vtkVRRay, vtkVRPanelWidget, vtkVRPanelRepresentation, vtkVRModel, vtkVRMenuWidget, vtkVRMenuRepresentation, vtkVRInteractorStyle, vtkVRHMDCamera, vtkVRHardwarePicker, vtkVRFollower, vtkVRControlsHelper, vtkVRCollaborationClient, vtkOpenGLAvatar, vtkVolumeTexture, vtkSmartVolumeMapper, vtkOpenGLVolumeTransferFunction2D, vtkOpenGLVolumeRGBTable, vtkOpenGLVolumeOpacityTable, vtkOpenGLVolumeMaskTransferFunction2D, vtkOpenGLVolumeMaskGradientOpacityTransferFunction2D, vtkOpenGLVolumeLookupTables< T >, vtkOpenGLVolumeLookupTable, vtkOpenGLVolumeGradientOpacityTable, vtkOpenGLRayCastImageDisplayHelper, vtkOpenGLProjectedTetrahedraMapper, vtkOpenGLGPUVolumeRayCastMapper, vtkMultiBlockVolumeMapper, vtkMultiBlockUnstructuredGridVolumeMapper, vtkAMRVolumeMapper, vtkVolumeRayCastSpaceLeapingImageFilter, vtkVolumePicker, vtkVolumeOutlineSource, vtkVolumeMapper, vtkUnstructuredGridVolumeZSweepMapper, vtkUnstructuredGridVolumeRayIntegrator, vtkUnstructuredGridVolumeRayCastMapper, vtkUnstructuredGridVolumeRayCastIterator, vtkUnstructuredGridVolumeRayCastFunction, vtkUnstructuredGridVolumeMapper, vtkUnstructuredGridPreIntegration, vtkUnstructuredGridPartialPreIntegration, vtkUnstructuredGridLinearRayIntegrator, vtkUnstructuredGridHomogeneousRayIntegrator, vtkUnstructuredGridBunykRayCastFunction, vtkSphericalDirectionEncoder, vtkRecursiveSphereDirectionEncoder, vtkRayCastImageDisplayHelper, vtkProjectedTetrahedraMapper, vtkOSPRayVolumeInterface, vtkMultiVolume, vtkGPUVolumeRayCastMapper, vtkFixedPointVolumeRayCastMIPHelper, vtkFixedPointVolumeRayCastMapper, vtkFixedPointVolumeRayCastHelper, vtkFixedPointVolumeRayCastCompositeShadeHelper, vtkFixedPointVolumeRayCastCompositeHelper, vtkFixedPointVolumeRayCastCompositeGOShadeHelper, vtkFixedPointVolumeRayCastCompositeGOHelper, vtkFixedPointRayCastImage, vtkFiniteDifferenceGradientEstimator, vtkEncodedGradientShader, vtkEncodedGradientEstimator, vtkDirectionEncoder, vtkXRenderWindowInteractor, vtkWin32RenderWindowInteractor, vtkWin32HardwareWindow, vtkSDL2RenderWindowInteractor, vtkIOSRenderWindowInteractor, vtkGenericRenderWindowInteractor, vtkCocoaRenderWindowInteractor, vtkAndroidRenderWindowInteractor, vtkCocoaTkUtilities, vtkWindowNode, vtkVolumeNode, vtkVolumeMapperNode, vtkViewNodeFactory, vtkViewNode, vtkRendererNode, vtkPolyDataMapperNode, vtkMapperNode, vtkLightNode, vtkCameraNode, vtkActorNode, vtkOSPRayWindowNode, vtkOSPRayVolumeNode, vtkOSPRayVolumeMapperNode, vtkOSPRayVolumeMapper, vtkOSPRayViewNodeFactory, vtkOSPRayUnstructuredVolumeMapperNode, vtkOSPRayRendererNode, vtkOSPRayPolyDataMapperNode, vtkOSPRayPointGaussianMapperNode, vtkOSPRayPass, vtkOSPRayMoleculeMapperNode, vtkOSPRayMaterialLibrary, vtkOSPRayLightNode, vtkOSPRayCompositePolyDataMapperNode, vtkOSPRayCompositePolyDataMapper2Node, vtkOSPRayCameraNode, vtkOSPRayAMRVolumeMapperNode, vtkOSPRayActorNode, vtkQtTreeRingLabelMapper, vtkQtStringToImage, vtkQtLabelRenderStrategy, vtkQtInitialization, vtkQImageToImageSource, vtkPythonItem, vtkPSurfaceLICInterface, vtkPSurfaceLICComposite, vtkPLineIntegralConvolution2D, vtkParallelTimer, vtkTreeCompositer, vtkSynchronizedRenderWindows, vtkSynchronizedRenderers, vtkPHardwareSelector, vtkParallelRenderManager, vtkImageRenderManager, vtkCompressCompositer, vtkCompositeZPass, vtkCompositeRGBAPass, vtkCompositeRenderManager, vtkCompositer, vtkCompositedSynchronizedRenderers, vtkClientServerSynchronizedRenderers, vtkClientServerCompositePass, vtkOpenXRRenderWindowInteractor, vtkOpenXRRenderer, vtkOpenXRControlsHelper, vtkOpenVROverlay, vtkXOpenGLRenderWindow, vtkWin32OpenGLRenderWindow, vtkWin32OpenGLDXRenderWindow, vtkVolumetricPass, vtkValuePass, vtkTranslucentPass, vtkTransformFeedback, vtkToneMappingPass, vtkTextureUnitManager, vtkTextureObject, vtkSSAOPass, vtkSSAAPass, vtkSobelGradientMagnitudePass, vtkSimpleMotionBlurPass, vtkShadowMapPass, vtkShadowMapBakerPass, vtkShaderProgram, vtkShader, vtkSequencePass, vtkSDL2OpenGLRenderWindow, vtkRenderStepsPass, vtkRenderPassCollection, vtkRenderbuffer, vtkPointFillPass, vtkPixelBufferObject, vtkPBRPrefilterTexture, vtkPBRLUTTexture, vtkPBRIrradianceTexture, vtkPanoramicProjectionPass, vtkOverlayPass, vtkOutlineGlowPass, vtkOrderIndependentTranslucentPass, vtkOpenGLVertexBufferObjectGroup, vtkOpenGLVertexBufferObjectCache, vtkOpenGLVertexBufferObject, vtkOpenGLVertexArrayObject, vtkOpenGLUniforms, vtkOpenGLTexture, vtkOpenGLTextMapper, vtkOpenGLTextActor3D, vtkOpenGLTextActor, vtkOpenGLStickMapper, vtkOpenGLState, vtkOpenGLSphereMapper, vtkOpenGLSkybox, vtkOpenGLShaderProperty, vtkOpenGLShaderCache, vtkOpenGLRenderWindow, vtkOpenGLRenderUtilities, vtkOpenGLRenderTimerLog, vtkOpenGLRenderPass, vtkOpenGLRenderer, vtkOpenGLProperty, vtkOpenGLPolyDataMapper2D, vtkOpenGLPolyDataMapper, vtkOpenGLPointGaussianMapper, vtkOpenGLLight, vtkOpenGLLabeledContourMapper, vtkOpenGLInstanceCulling, vtkOpenGLIndexBufferObject, vtkOpenGLImageSliceMapper, vtkOpenGLImageMapper, vtkOpenGLImageAlgorithmHelper, vtkOpenGLHyperTreeGridMapper, vtkOpenGLHardwareSelector, vtkOpenGLGlyph3DMapper, vtkOpenGLGlyph3DHelper, vtkOpenGLGL2PSHelper, vtkOpenGLFXAAPass, vtkOpenGLFXAAFilter, vtkOpenGLFramebufferObject, vtkOpenGLFluidMapper, vtkOpenGLES30PolyDataMapper2D, vtkOpenGLES30PolyDataMapper, vtkOpenGLCompositePolyDataMapperDelegator, vtkOpenGLCellToVTKCellMap, vtkOpenGLCamera, vtkOpenGLBufferObject, vtkOpenGLBillboardTextActor3D, vtkOpenGLActor, vtkOpaquePass, vtkLightsPass, vtkLightingMapPass, vtkIOSRenderWindow, vtkImageProcessingPass, vtkHiddenLineRemovalPass, vtkGenericOpenGLRenderWindow, vtkGaussianBlurPass, vtkFramebufferPass, vtkEquirectangularToCubeMapTexture, vtkEGLRenderWindow, vtkEDLShading, vtkDummyGPUInfoList, vtkDualDepthPeelingPass, vtkDepthPeelingPass, vtkDepthOfFieldPass, vtkDepthImageProcessingPass, vtkDefaultPass, vtkDataTransferHelper, vtkCocoaRenderWindow, vtkClearZPass, vtkClearRGBPass, vtkCameraPass, vtkMatplotlibMathTextUtilities, vtkQuadricLODActor, vtkLODActor, vtkSurfaceLICMapper, vtkSurfaceLICInterface, vtkSurfaceLICComposite, vtkStructuredGridLIC2D, vtkLineIntegralConvolution2D, vtkImageDataLIC2D, vtkCompositeSurfaceLICMapperDelegator, vtkCompositeSurfaceLICMapper, vtkPointSetToLabelHierarchy, vtkLabelSizeCalculator, vtkLabelRenderStrategy, vtkLabelPlacer, vtkLabelPlacementMapper, vtkLabelHierarchyIterator, vtkLabelHierarchyCompositeIterator, vtkLabelHierarchyAlgorithm, vtkLabelHierarchy, vtkLabeledTreeMapDataMapper, vtkLabeledDataMapper, vtkFreeTypeLabelRenderStrategy, vtkDynamic2DLabelMapper, vtkImageStack, vtkImageSliceCollection, vtkImageResliceMapper, vtkDepthImageToPointCloud, vtkHyperTreeGridMapper, vtkOpenGLGL2PSHelperImpl, vtkFontConfigFreeTypeTools, vtkVectorText, vtkTextRendererStringToImage, vtkScaledTextActor, vtkMathTextUtilities, vtkMathTextFreeTypeTextRenderer, vtkFreeTypeTools, vtkFreeTypeStringToImage, vtkOpenGLMovieSphere, vtkExternalOpenGLRenderWindow, vtkExternalOpenGLRenderer, vtkExternalOpenGLCamera, vtkExternalLight, ExternalVTKWidget, vtkWorldPointPicker, vtkWindowToImageFilter, vtkWindowLevelLookupTable, vtkVolumeProperty, vtkVolumeCollection, vtkVolume, vtkVisibilitySort, vtkViewport, vtkViewDependentErrorMetric, vtkUniforms, vtkTupleInterpolator, vtkTransformInterpolator, vtkTransformCoordinateSystems, vtkTexturedActor2D, vtkTexture, vtkTextRenderer, vtkTextPropertyCollection, vtkTextProperty, vtkTextMapper, vtkTextActor3D, vtkTextActor, vtkTDxInteractorStyleSettings, vtkTDxInteractorStyleCamera, vtkTDxInteractorStyle, vtkStringToImage, vtkStereoCompositor, vtkSkybox, vtkShaderProperty, vtkSelectVisiblePoints, vtkScenePicker, vtkResizingWindowToImageFilter, vtkRenderWindowInteractor3D, vtkRenderWindowInteractor, vtkRenderWindowCollection, vtkRenderWindow, vtkRenderWidget, vtkRenderTimerLog, vtkRenderPass, vtkRendererSource, vtkRendererDelegate, vtkRendererCollection, vtkRenderer, vtkRenderedAreaPicker, vtkPropPicker, vtkProperty2D, vtkProperty, vtkPropCollection, vtkPropAssembly, vtkProp3DFollower, vtkProp3DCollection, vtkProp3D, vtkProp, vtkPolyDataMapper2D, vtkPolyDataMapper, vtkPointPicker, vtkPointGaussianMapper, vtkPickingManager, vtkPicker, vtkObserverMediator, vtkMapperCollection, vtkMapper2D, vtkMapper, vtkMapArrayValues, vtkLookupTableWithEnabling, vtkLogLookupTable, vtkLODProp3D, vtkLightKit, vtkLightCollection, vtkLightActor, vtkLight, vtkLabeledContourMapper, vtkInteractorStyleSwitchBase, vtkInteractorStyle3D, vtkInteractorStyle, vtkInteractorObserver, vtkInteractorEventRecorder, vtkImageSliceMapper, vtkImageSlice, vtkImageProperty, vtkImageMapper3D, vtkImageMapper, vtkImageActor, vtkHierarchicalPolyDataMapper, vtkHardwareWindow, vtkHardwareSelector, vtkHardwarePicker, vtkGraphToGlyphs, vtkGraphMapper, vtkGraphicsFactory, vtkGPUInfoList, vtkGPUInfo, vtkGlyph3DMapper, vtkGenericVertexAttributeMapping, vtkFXAAOptions, vtkFrustumCoverageCuller, vtkFrameBufferObjectBase, vtkFollower, vtkFlagpoleLabel, vtkDistanceToCamera, vtkDiscretizableColorTransferFunction, vtkDataSetMapper, vtkCullerCollection, vtkCuller, vtkCoordinate, vtkCompositePolyDataMapperDelegator, vtkCompositePolyDataMapper, vtkCompositeDataDisplayAttributesLegacy, vtkCompositeDataDisplayAttributes, vtkColorTransferFunction, vtkCellPicker, vtkCellGridMapper, vtkCellCenterDepthSort, vtkCameraInterpolator, vtkCameraActor, vtkCamera, vtkBillboardTextActor3D, vtkBackgroundColorMonitor, vtkAvatar, vtkAssemblyPaths, vtkAssemblyPath, vtkAssemblyNode, vtkAssembly, vtkAreaPicker, vtkActorCollection, vtkActor2DCollection, vtkActor2D, vtkActor, vtkAbstractVolumeMapper, vtkAbstractRenderDevice, vtkAbstractPropPicker, vtkAbstractPicker, vtkAbstractMapper3D, vtkAbstractMapper, vtkAbstractInteractionDevice, vtkAbstractHyperTreeGridMapper, vtkOpenGLPropItem, vtkOpenGLContextDevice3D, vtkOpenGLContextDevice2D, vtkOpenGLContextBufferId, vtkOpenGLContextActor, vtkTooltipItem, vtkPropItem, vtkPolyDataItem, vtkPen, vtkMarkerUtilities, vtkLabeledContourPolyDataItem, vtkImageItem, vtkContextTransform, vtkContextScene, vtkContextMapper2D, vtkContextItem, vtkContextDevice3D, vtkContextDevice2D, vtkContextClip, vtkContextActor, vtkContext3D, vtkContext2D, vtkBrush, vtkBlockItem, vtkAbstractContextItem, vtkAbstractContextBufferId, vtkXYPlotActor, vtkSpiderPlotActor, vtkScalarBarActor, vtkProp3DAxisFollower, vtkPolarAxesActor, vtkPieChartActor, vtkParallelCoordinatesActor, vtkLegendScaleActor, vtkLegendBoxActor, vtkLeaderActor2D, vtkGraphAnnotationLayersFilter, vtkCubeAxesActor2D, vtkCubeAxesActor, vtkCornerAnnotation, vtkConvexHull2D, vtkCaptionActor2D, vtkBarChartActor, vtkAxisFollower, vtkAxisActor2D, vtkAxisActor, vtkAxesActor, vtkArcPlotter, vtkAnnotatedCubeActor, vtkMPI4PyCommunicator, vtkMPIEventLog, vtkMPIController, vtkMPICommunicator, vtkDIYUtilities, vtkDIYGhostUtilities, vtkDIYDataExchanger, vtkThreadedCallbackQueue, vtkSubGroup, vtkSubCommunicator, vtkSocketController, vtkSocketCommunicator, vtkPSystemTools, vtkProcessGroup, vtkProcess, vtkPDirectory, vtkMultiProcessController, vtkFieldDataSerializer, vtkDummyController, vtkDummyCommunicator, vtkCommunicator, vtkXMLUtilities, vtkXMLParser, vtkXMLDataParser, vtkXMLWriterBase, vtkXMLWriter, vtkXMLUnstructuredGridWriter, vtkXMLUnstructuredGridReader, vtkXMLUnstructuredDataWriter, vtkXMLUnstructuredDataReader, vtkXMLUniformGridAMRWriter, vtkXMLUniformGridAMRReader, vtkXMLTableWriter, vtkXMLTableReader, vtkXMLStructuredGridWriter, vtkXMLStructuredGridReader, vtkXMLStructuredDataWriter, vtkXMLStructuredDataReader, vtkXMLRectilinearGridWriter, vtkXMLRectilinearGridReader, vtkXMLReader, vtkXMLPUnstructuredGridReader, vtkXMLPUnstructuredDataReader, vtkXMLPTableReader, vtkXMLPStructuredGridReader, vtkXMLPStructuredDataReader, vtkXMLPRectilinearGridReader, vtkXMLPPolyDataReader, vtkXMLPolyDataWriter, vtkXMLPolyDataReader, vtkXMLPImageDataReader, vtkXMLPHyperTreeGridReader, vtkXMLPDataReader, vtkXMLPDataObjectReader, vtkXMLPartitionedDataSetReader, vtkXMLPartitionedDataSetCollectionReader, vtkXMLMultiGroupDataReader, vtkXMLMultiBlockDataWriter, vtkXMLMultiBlockDataReader, vtkXMLImageDataWriter, vtkXMLImageDataReader, vtkXMLHyperTreeGridWriter, vtkXMLHyperTreeGridReader, vtkXMLHierarchicalDataReader, vtkXMLHierarchicalBoxDataWriter, vtkXMLHierarchicalBoxDataReader, vtkXMLHierarchicalBoxDataFileConverter, vtkXMLGenericDataObjectReader, vtkXMLFileReadTester, vtkXMLDataSetWriter, vtkXMLDataReader, vtkXMLDataObjectWriter, vtkXMLCompositeDataWriter, vtkXMLCompositeDataReader, vtkRTXMLPolyDataReader, vtkXdmf3Writer, vtkXdmf3Reader, vtkXdmfWriter, vtkXdmfReader, vtkXdmfDataArray, vtkSILBuilder, vtkVPICReader, vtkWin32VideoSource, vtkVideoSource, vtkVeraOutReader, vtkTRUCHASReader, vtkTecplotTableReader, vtkTableToSQLiteWriter, vtkTableToDatabaseWriter, vtkSQLQuery, vtkSQLiteToTableReader, vtkSQLiteQuery, vtkSQLiteDatabase, vtkSQLDatabaseTableSource, vtkSQLDatabaseSchema, vtkSQLDatabase, vtkRowQueryToTable, vtkRowQuery, vtkDatabaseToTableReader, vtkSegYReader, vtkTableToPostgreSQLWriter, vtkPostgreSQLToTableReader, vtkPostgreSQLQuery, vtkPostgreSQLDatabase, vtkPLYWriter, vtkPLYReader, vtkPIOReader, vtkPDALReader, vtkXMLWriter2, vtkXMLPUnstructuredGridWriter, vtkXMLPUnstructuredDataWriter, vtkXMLPUniformGridAMRWriter, vtkXMLPTableWriter, vtkXMLPStructuredGridWriter, vtkXMLPStructuredDataWriter, vtkXMLPRectilinearGridWriter, vtkXMLPPolyDataWriter, vtkXMLPMultiBlockDataWriter, vtkXMLPImageDataWriter, vtkXMLPHyperTreeGridWriter, vtkXMLPHierarchicalBoxDataWriter, vtkXMLPDataWriter, vtkXMLPDataSetWriter, vtkXMLPDataObjectWriter, vtkXMLPartitionedDataSetWriter, vtkXMLPartitionedDataSetCollectionWriter, vtkXMLDataWriterHelper, vtkXMLCompositeDataSetWriterHelper, vtkPXdmf3Writer, vtkPSLACReader, vtkPNetCDFPOPReader, vtkPLSDynaReader, vtkPExodusIIWriter, vtkPExodusIIReader, vtkPOpenFOAMReader, vtkPlot3DMetaReader, vtkPImageWriter, vtkPDataSetWriter, vtkPDataSetReader, vtkPChacoReader, vtkNek5000Reader, vtkMultiBlockPLOT3DReader, vtkEnSightWriter, vtkOpenVDBWriter, vtkOpenVDBReader, vtkOMFReader, vtkOggTheoraWriter, vtkODBCQuery, vtkODBCDatabase, vtkOCCTReader, vtkSLACReader, vtkSLACParticleReader, vtkNetCDFUGRIDReader, vtkNetCDFReader, vtkNetCDFPOPReader, vtkNetCDFCFWriter, vtkNetCDFCFReader, vtkNetCDFCAMReader, vtkMPASReader, vtkTableToMySQLWriter, vtkMySQLToTableReader, vtkMySQLQuery, vtkMySQLDatabase, vtkPWindBladeReader, vtkMPIMultiBlockPLOT3DReader, vtkPNrrdReader, vtkMPIImageReader, vtkMP4Writer, vtkGenericMovieWriter, vtkAVIWriter, vtkMotionFXCFGReader, vtkMNITransformWriter, vtkMNITransformReader, vtkMNITagPointWriter, vtkMNITagPointReader, vtkMNIObjectWriter, vtkMNIObjectReader, vtkMINCImageWriter, vtkMINCImageReader, vtkMINCImageAttributes, vtkLSDynaSummaryParser, vtkLSDynaReader, vtkLSDynaPartCollection, vtkLSDynaPart, vtkUnstructuredGridWriter, vtkUnstructuredGridReader, vtkTreeWriter, vtkTreeReader, vtkTableWriter, vtkTableReader, vtkStructuredPointsWriter, vtkStructuredPointsReader, vtkStructuredGridWriter, vtkStructuredGridReader, vtkSimplePointsWriter, vtkSimplePointsReader, vtkRectilinearGridWriter, vtkRectilinearGridReader, vtkPolyDataWriter, vtkPolyDataReader, vtkGraphWriter, vtkGraphReader, vtkGenericDataObjectWriter, vtkGenericDataObjectReader, vtkDataWriter, vtkDataSetWriter, vtkDataSetReader, vtkDataReader, vtkDataObjectWriter, vtkDataObjectReader, vtkCompositeDataWriter, vtkCompositeDataReader, vtkLASReader, vtkIOSSWriter, vtkIOSSReader, vtkIOSSFilesScanner, vtkXMLTreeReader, vtkXGMLReader, vtkTulipReader, vtkTemporalDelimitedTextReader, vtkRISReader, vtkPhyloXMLTreeWriter, vtkPhyloXMLTreeReader, vtkNewickTreeWriter, vtkNewickTreeReader, vtkMultiNewickTreeReader, vtkISIReader, vtkFixedWidthTextReader, vtkDIMACSGraphWriter, vtkDIMACSGraphReader, vtkDelimitedTextReader, vtkChacoGraphReader, vtkBiomTableReader, vtkVRMLImporter, vtkOBJPolyDataProcessor, vtkOBJImporter, vtkImporter, vtkGLTFImporter, vtk3DSImporter, vtkVolumeReader, vtkVolume16Reader, vtkTIFFWriter, vtkTIFFReader, vtkTGAReader, vtkSLCReader, vtkSEPReader, vtkPostScriptWriter, vtkPNMWriter, vtkPNMReader, vtkPNGWriter, vtkPNGReader, vtkOMETIFFReader, vtkNrrdReader, vtkNIFTIImageWriter, vtkNIFTIImageReader, vtkNIFTIImageHeader, vtkMRCReader, vtkMetaImageWriter, vtkMetaImageReader, vtkMedicalImageReader2, vtkMedicalImageProperties, vtkJSONImageWriter, vtkJPEGWriter, vtkJPEGReader, vtkImageWriter, vtkImageReader2Factory, vtkImageReader2Collection, vtkImageReader2, vtkImageReader, vtkImageImportExecutive, vtkImageImport, vtkImageExport, vtkHDRReader, vtkGESignaReader, vtkDICOMImageReader, vtkDEMReader, vtkBMPWriter, vtkBMPReader, vtkHDFReader, vtkH5RageReader, vtkH5PartReader, vtkWindBladeReader, vtkTecplotReader, vtkSTLWriter, vtkSTLReader, vtkPTSReader, vtkProStarReader, vtkParticleReader, vtkOpenFOAMReader, vtkOBJWriter, vtkOBJReader, vtkMFIXReader, vtkMCubesWriter, vtkMCubesReader, vtkIVWriter, vtkHoudiniPolyDataWriter, vtkGLTFWriter, vtkGLTFReader, vtkGLTFDocumentLoader, vtkGAMBITReader, vtkFLUENTReader, vtkFacetWriter, vtkChacoReader, vtkBYUWriter, vtkBYUReader, vtkAVSucdReader, vtkGeoJSONWriter, vtkGeoJSONReader, vtkGeoJSONFeature, vtkGDALVectorReader, vtkGDALRasterReader, vtkGDAL, vtkFLUENTCFFReader, vtkFidesReader, vtkFFMPEGWriter, vtkFFMPEGVideoSource, vtkPDFExporter, vtkPDFContextDevice2D, vtkOpenGLGL2PSExporter, vtkGL2PSExporter, vtkX3DExporterXMLWriter, vtkX3DExporterWriter, vtkX3DExporterFIWriter, vtkX3DExporter, vtkVRMLExporter, vtkSVGExporter, vtkSVGContextDevice2D, vtkSingleVTPExporter, vtkRIBProperty, vtkRIBLight, vtkRIBExporter, vtkPOVExporter, vtkOOGLExporter, vtkOBJExporter, vtkJSONSceneExporter, vtkJSONRenderWindowExporter, vtkJSONDataSetWriter, vtkIVExporter, vtkGLTFExporter, vtkExporter, vtkModelMetadata, vtkExodusIIWriter, vtkExodusIIReaderPrivate, vtkExodusIIReaderParser, vtkExodusIIReader, vtkExodusIICache, vtkCPExodusIIResultsArrayTemplate< Scalar >, vtkCPExodusIINodalCoordinatesTemplate< Scalar >, vtkCPExodusIIInSituReader, vtkCPExodusIIElementBlockImpl, vtkGenericEnSightReader, vtkEnSightReader, vtkEnSightMasterServerReader, vtkEnSightGoldReader, vtkEnSightGoldBinaryReader, vtkEnSight6Reader, vtkEnSight6BinaryReader, vtkZLibDataCompressor, vtkWriter, vtkUTF8TextCodec, vtkUTF16TextCodec, vtkURILoader, vtkURI, vtkTextCodecFactory, vtkTextCodec, vtkSortFileNames, vtkResourceStream, vtkResourceParser, vtkOutputStream, vtkMemoryResourceStream, vtkLZMADataCompressor, vtkLZ4DataCompressor, vtkJavaScriptDataWriter, vtkInputStream, vtkGlobFileNames, vtkFileResourceStream, vtkDelimitedTextWriter, vtkDataCompressor, vtkBase64Utilities, vtkBase64OutputStream, vtkBase64InputStream, vtkASCIITextCodec, vtkArrayWriter, vtkArrayReader, vtkArrayDataWriter, vtkArrayDataReader, vtkAbstractPolyDataReader, vtkAbstractParticleWriter, vtkCONVERGECFDReader, vtkCityGMLReader, vtkXYZMolReader2, vtkXYZMolReader, vtkVASPTessellationReader, vtkVASPAnimationReader, vtkPDBReader, vtkMoleculeReaderBase, vtkGaussianCubeReader2, vtkGaussianCubeReader, vtkCMLMoleculeReader, vtkFileSeriesHelper, vtkCGNSReader, vtkCGNSFileSeriesReader, vtkCesiumPointCloudWriter, vtkCesium3DTilesWriter, vtkCellGridReader, vtkConduitSource, vtkConduitArrayUtilities, vtkThreadedImageWriter, vtkAMRVelodyneReader, vtkAMRFlashReader, vtkAMRFlashParticlesReader, vtkAMReXParticlesReader, vtkAMReXGridReader, vtkAMREnzoReader, vtkAMREnzoParticlesReader, vtkAMRDataSetCache, vtkAMRBaseReader, vtkAMRBaseParticlesReader, vtkADIOS2VTXReader, vtkADIOS2CoreImageReader, vtkXYPlotWidget, vtkWidgetSet, vtkWidgetRepresentation, vtkWidgetEventTranslator, vtkWidgetEvent, vtkWidgetCallbackMapper, vtkTextWidget, vtkTexturedButtonRepresentation2D, vtkTexturedButtonRepresentation, vtkTextRepresentation, vtkTerrainDataPointPlacer, vtkTerrainContourLineInterpolator, vtkTensorWidget, vtkTensorRepresentation, vtkTensorProbeWidget, vtkTensorProbeRepresentation, vtkSplineWidget2, vtkSplineWidget, vtkSplineRepresentation, vtkSphereWidget2, vtkSphereWidget, vtkSphereRepresentation, vtkSphereHandleRepresentation, vtkSliderWidget, vtkSliderRepresentation3D, vtkSliderRepresentation2D, vtkSliderRepresentation, vtkSeedWidget, vtkSeedRepresentation, vtkScalarBarWidget, vtkScalarBarRepresentation, vtkResliceCursorWidget, vtkResliceCursorThickLineRepresentation, vtkResliceCursorRepresentation, vtkResliceCursorPolyDataAlgorithm, vtkResliceCursorPicker, vtkResliceCursorLineRepresentation, vtkResliceCursorActor, vtkResliceCursor, vtkRectilinearWipeWidget, vtkRectilinearWipeRepresentation, vtkProp3DButtonRepresentation, vtkProgressBarWidget, vtkProgressBarRepresentation, vtkPolyLineWidget, vtkPolyLineRepresentation, vtkPolygonalSurfacePointPlacer, vtkPolygonalSurfaceContourLineInterpolator, vtkPolygonalHandleRepresentation3D, vtkPolyDataSourceWidget, vtkPolyDataPointPlacer, vtkPolyDataContourLineInterpolator, vtkPointWidget, vtkPointPlacer, vtkPointHandleRepresentation3D, vtkPointHandleRepresentation2D, vtkPointCloudWidget, vtkPointCloudRepresentation, vtkPlaybackWidget, vtkPlaybackRepresentation, vtkPlaneWidget, vtkParallelopipedWidget, vtkParallelopipedRepresentation, vtkOrientedPolygonalHandleRepresentation3D, vtkOrientedGlyphFocalPlaneContourRepresentation, vtkOrientedGlyphContourRepresentation, vtkOrientationRepresentation, vtkOrientationMarkerWidget, vtkMeasurementCubeHandleRepresentation3D, vtkMagnifierWidget, vtkMagnifierRepresentation, vtkLogoWidget, vtkLogoRepresentation, vtkLineWidget2, vtkLineWidget, vtkLineRepresentation, vtkLinearContourLineInterpolator, vtkLightWidget, vtkLightRepresentation, vtkImplicitPlaneWidget2, vtkImplicitPlaneWidget, vtkImplicitPlaneRepresentation, vtkImplicitImageRepresentation, vtkImplicitCylinderWidget, vtkImplicitCylinderRepresentation, vtkImageTracerWidget, vtkImagePlaneWidget, vtkImageOrthoPlanes, vtkImageCroppingRegionsWidget, vtkImageActorPointPlacer, vtkHoverWidget, vtkHandleWidget, vtkHandleRepresentation, vtkFocalPlanePointPlacer, vtkFocalPlaneContourRepresentation, vtkFixedSizeHandleRepresentation3D, vtkFinitePlaneWidget, vtkFinitePlaneRepresentation, vtkEvent, vtkEqualizerContextItem, vtkEllipsoidTensorProbeRepresentation, vtkDistanceWidget, vtkDistanceRepresentation3D, vtkDistanceRepresentation2D, vtkDistanceRepresentation, vtkDisplaySizedImplicitPlaneWidget, vtkDisplaySizedImplicitPlaneRepresentation, vtkDijkstraImageContourLineInterpolator, vtkCurveRepresentation, vtkCoordinateFrameWidget, vtkCoordinateFrameRepresentation, vtkContourWidget, vtkContourRepresentation, vtkContourLineInterpolator, vtkContinuousValueWidgetRepresentation, vtkContinuousValueWidget, vtkConstrainedPointHandleRepresentation, vtkCompassWidget, vtkCompassRepresentation, vtkClosedSurfacePointPlacer, vtkCheckerboardWidget, vtkCheckerboardRepresentation, vtkCenteredSliderWidget, vtkCenteredSliderRepresentation, vtkCellCentersPointPlacer, vtkCaptionWidget, vtkCaptionRepresentation, vtkCameraWidget, vtkCameraRepresentation, vtkCameraPathWidget, vtkCameraPathRepresentation, vtkCameraOrientationWidget, vtkCameraOrientationRepresentation, vtkCameraHandleSource, vtkCamera3DRepresentation, vtkButtonWidget, vtkButtonRepresentation, vtkBrokenLineWidget, vtkBoxWidget2, vtkBoxWidget, vtkBoxRepresentation, vtkBoundedPlanePointPlacer, vtkBorderWidget, vtkBorderRepresentation, vtkBiDimensionalWidget, vtkBiDimensionalRepresentation2D, vtkBiDimensionalRepresentation, vtkBezierContourLineInterpolator, vtkBalloonWidget, vtkBalloonRepresentation, vtkAxesTransformWidget, vtkAxesTransformRepresentation, vtkAngleWidget, vtkAngleRepresentation3D, vtkAngleRepresentation2D, vtkAngleRepresentation, vtkAffineWidget, vtkAffineRepresentation2D, vtkAffineRepresentation, vtkAbstractWidget, vtkAbstractSplineRepresentation, vtkAbstractPolygonalHandleRepresentation3D, vtk3DWidget, vtk3DCursorWidget, vtk3DCursorRepresentation, vtkParallelCoordinatesInteractorStyle, vtkInteractorStyleUser, vtkInteractorStyleUnicam, vtkInteractorStyleTrackballCamera, vtkInteractorStyleTrackballActor, vtkInteractorStyleTrackball, vtkInteractorStyleTerrain, vtkInteractorStyleSwitch, vtkInteractorStyleRubberBandZoom, vtkInteractorStyleRubberBandPick, vtkInteractorStyleRubberBand3D, vtkInteractorStyleRubberBand2D, vtkInteractorStyleMultiTouchCamera, vtkInteractorStyleJoystickCamera, vtkInteractorStyleJoystickActor, vtkInteractorStyleImage, vtkInteractorStyleFlight, vtkInteractorStyleDrawPolygon, vtkResliceImageViewerMeasurements, vtkResliceImageViewer, vtkImageViewer2, vtkImageViewer, vtkTreeRingToPolyData, vtkTreeOrbitLayoutStrategy, vtkTreeMapToPolyData, vtkTreeMapLayoutStrategy, vtkTreeMapLayout, vtkTreeLayoutStrategy, vtkStackedTreeLayoutStrategy, vtkSquarifyLayoutStrategy, vtkSplineGraphEdges, vtkSpanTreeLayoutStrategy, vtkSliceAndDiceLayoutStrategy, vtkSimple3DCirclesStrategy, vtkSimple2DLayoutStrategy, vtkRandomLayoutStrategy, vtkPerturbCoincidentVertices, vtkPassThroughLayoutStrategy, vtkPassThroughEdgeStrategy, vtkKCoreLayout, vtkIncrementalForceLayout, vtkGraphLayoutStrategy, vtkGraphLayout, vtkGeoMath, vtkGeoEdgeStrategy, vtkForceDirectedLayoutStrategy, vtkFast2DLayoutStrategy, vtkEdgeLayoutStrategy, vtkEdgeLayout, vtkCosmicTreeLayoutStrategy, vtkConstrained2DLayoutStrategy, vtkConeLayoutStrategy, vtkCommunity2DLayoutStrategy, vtkClustering2DLayoutStrategy, vtkCircularLayoutStrategy, vtkCirclePackToPolyData, vtkCirclePackLayoutStrategy, vtkCirclePackLayout, vtkCirclePackFrontChainLayoutStrategy, vtkBoxLayoutStrategy, vtkAttributeClustering2DLayoutStrategy, vtkAssignCoordinatesLayoutStrategy, vtkAssignCoordinates, vtkAreaLayoutStrategy, vtkAreaLayout, vtkArcParallelEdgeStrategy, vtkWordCloud, vtkVertexDegree, vtkTreeLevelsFilter, vtkTreeFieldAggregator, vtkTreeDifferenceFilter, vtkTransposeMatrix, vtkTransferAttributes, vtkThresholdTable, vtkThresholdGraph, vtkTableToTreeFilter, vtkTableToSparseArray, vtkTableToGraph, vtkTableToArray, vtkStringToNumeric, vtkStringToCategory, vtkStreamGraph, vtkSparseArrayToTable, vtkRemoveIsolatedVertices, vtkRemoveHiddenData, vtkReduceTable, vtkRandomGraphSource, vtkPruneTreeFilter, vtkPipelineGraphSource, vtkNetworkHierarchy, vtkMutableGraphHelper, vtkMergeTables, vtkMergeGraphs, vtkMergeColumns, vtkKCoreDecomposition, vtkGroupLeafVertices, vtkGraphHierarchicalBundleEdges, vtkGenerateIndexArray, vtkExtractSelectedTree, vtkExtractSelectedGraph, vtkExpandSelectedGraph, vtkEdgeCenters, vtkDotProductSimilarity, vtkDataObjectToTable, vtkContinuousScatterplot, vtkCollapseVerticesByArray, vtkCollapseGraph, vtkArrayToTable, vtkArrayNorm, vtkAdjacencyMatrixToEdgeTable, vtkAddMembershipArray, vtkBoostSplitTableField, vtkBoostRandomSparseArraySource, vtkBoostPrimMinimumSpanningTree, vtkBoostLogWeighting, vtkBoostKruskalMinimumSpanningTree, vtkBoostExtractLargestComponent, vtkBoostDividedEdgeBundling, vtkBoostConnectedComponents, vtkBoostBreadthFirstSearchTree, vtkBoostBreadthFirstSearch, vtkBoostBrandesCentrality, vtkBoostBiconnectedComponents, vtkBoostBetweennessClustering, vtkROIStencilSource, vtkPolyDataToImageStencil, vtkLassoStencilSource, vtkImplicitFunctionToImageStencil, vtkImageToImageStencil, vtkImageStencilToImage, vtkImageStencil, vtkImageHistogramStatistics, vtkImageHistogram, vtkImageAccumulate, vtkImageSinusoidSource, vtkImageNoiseSource, vtkImageMandelbrotSource, vtkImageGridSource, vtkImageGaussianSource, vtkImageEllipsoidSource, vtkImageCanvasSource2D, vtkOpenGLImageGradient, vtkImageThresholdConnectivity, vtkImageSkeleton2D, vtkImageSeedConnectivity, vtkImageOpenClose3D, vtkImageNonMaximumSuppression, vtkImageIslandRemoval2D, vtkImageDilateErode3D, vtkImageContinuousErode3D, vtkImageContinuousDilate3D, vtkImageConnector, vtkImageConnectivityFilter, vtkImageWeightedSum, vtkImageMathematics, vtkImageMaskBits, vtkImageMagnitude, vtkImageLogic, vtkImageLogarithmicScale, vtkImageDotProduct, vtkImageDivergence, vtkVoxelModeller, vtkTriangularTexture, vtkSurfaceReconstructionFilter, vtkSliceCubes, vtkShepardMethod, vtkSampleFunction, vtkPointLoad, vtkImageToPoints, vtkImageRectilinearWipe, vtkImageCursor3D, vtkGaussianSplatter, vtkFastSplatter, vtkCheckerboardSplatter, vtkBooleanTexture, vtkImageVariance3D, vtkImageSpatialAlgorithm, vtkImageSobel3D, vtkImageSobel2D, vtkImageSlabReslice, vtkImageSlab, vtkImageSeparableConvolution, vtkImageRange3D, vtkImageNormalize, vtkImageMedian3D, vtkImageLaplacian, vtkImageHybridMedian2D, vtkImageGradientMagnitude, vtkImageGradient, vtkImageGaussianSmooth, vtkImageEuclideanToPolar, vtkImageEuclideanDistance, vtkImageCorrelation, vtkImageConvolve, vtkImageCityBlockDistance, vtkImageCheckerboard, vtkImageAnisotropicDiffusion3D, vtkImageAnisotropicDiffusion2D, vtkImageRFFT, vtkImageIdealLowPass, vtkImageIdealHighPass, vtkImageFourierFilter, vtkImageFourierCenter, vtkImageFFT, vtkImageButterworthLowPass, vtkImageButterworthHighPass, vtkRTAnalyticSource, vtkImageWrapPad, vtkImageTranslateExtent, vtkImageThreshold, vtkImageStencilSource, vtkImageStencilData, vtkImageStencilAlgorithm, vtkImageSincInterpolator, vtkImageShrink3D, vtkImageShiftScale, vtkImageResliceToColors, vtkImageReslice, vtkImageResize, vtkImageResample, vtkImageProbeFilter, vtkImagePermute, vtkImagePadFilter, vtkImageMirrorPad, vtkImageMask, vtkImageMapToColors, vtkImageMagnify, vtkImageIterateFilter, vtkImageInterpolator, vtkImageFlip, vtkImageExtractComponents, vtkImageDifference, vtkImageDecomposeFilter, vtkImageDataStreamer, vtkImageConstantPad, vtkImageClip, vtkImageChangeInformation, vtkImageCast, vtkImageCacheFilter, vtkImageBSplineInterpolator, vtkImageBSplineCoefficients, vtkImageBlend, vtkImageAppendComponents, vtkGenericImageInterpolator, vtkExtractVOI, vtkAbstractImageInterpolator, vtkImageYIQToRGB, vtkImageRGBToYIQ, vtkImageRGBToHSV, vtkImageRGBToHSI, vtkImageQuantizeRGBToIndex, vtkImageMapToWindowLevelColors, vtkImageMapToRGBA, vtkImageLuminance, vtkImageHSVToRGB, vtkImageHSIToRGB, vtkQtTimePointUtility, vtkQtSQLQuery, vtkQtSQLDatabase, vtkQWidgetWidget, vtkQWidgetTexture, vtkQWidgetRepresentation, vtkEventQtSlotConnect, vtkRasterReprojectionFilter, vtkGDALRasterReprojection, vtkGDALRasterConverter, vtkGeoTransform, vtkGeoProjection, vtkMeshQuality, vtkMatrixMathFilter, vtkCellSizeFilter, vtkCellQuality, vtkBoundaryMeshQuality, vtkFiberSurface, vtkTriangularTCoords, vtkTransformTextureCoords, vtkThresholdTextureCoords, vtkTextureMapToSphere, vtkTextureMapToPlane, vtkTextureMapToCylinder, vtkScalarsToTextureFilter, vtkImplicitTextureCoords, vtkYieldCriteria, vtkTensorPrincipalInvariants, vtkStreamingStatistics, vtkStrahlerMetric, vtkStatisticsAlgorithm, vtkPCAStatistics, vtkOrderStatistics, vtkMultiCorrelativeStatistics, vtkLengthDistribution, vtkKMeansStatistics, vtkKMeansDistanceFunctorCalculator, vtkKMeansDistanceFunctor, vtkHighestDensityRegionsStatistics, vtkExtractHistogram, vtkExtractFunctionalBagPlot, vtkDescriptiveStatistics, vtkCorrelativeStatistics, vtkContingencyStatistics, vtkComputeQuartiles, vtkComputeQuantiles, vtkBivariateLinearTableThreshold, vtkAutoCorrelativeStatistics, vtkUniformHyperTreeGridSource, vtkTexturedSphereSource, vtkTextSource, vtkTessellatedBoxSource, vtkSuperquadricSource, vtkSphereSource, vtkSelectionSource, vtkRegularPolygonSource, vtkRectangularButtonSource, vtkRandomHyperTreeGridSource, vtkProgrammableSource, vtkProgrammableDataObjectSource, vtkPolyPointSource, vtkPolyLineSource, vtkPointSource, vtkPointHandleSource, vtkPlatonicSolidSource, vtkPlaneSource, vtkPartitionedDataSetSource, vtkPartitionedDataSetCollectionSource, vtkParametricFunctionSource, vtkOutlineSource, vtkOutlineCornerSource, vtkOutlineCornerFilter, vtkLineSource, vtkHyperTreeGridSource, vtkHandleSource, vtkGraphToPolyData, vtkGlyphSource2D, vtkFrustumSource, vtkEllipticalButtonSource, vtkEllipseArcSource, vtkDiskSource, vtkDiagonalMatrixSource, vtkCylinderSource, vtkCubeSource, vtkConeSource, vtkCellTypeSource, vtkCapsuleSource, vtkButtonSource, vtkArrowSource, vtkArcSource, vtkSMPMergePoints, vtkSMPContourGrid, vtkLinearSelector, vtkKdTreeSelector, vtkCellDistanceSelector, vtkUnstructuredGridToReebGraphFilter, vtkReebGraphVolumeSkeletonFilter, vtkReebGraphToJoinSplitTreeFilter, vtkReebGraphSurfaceSkeletonFilter, vtkReebGraphSimplificationFilter, vtkPythonAlgorithm, vtkProgrammableGlyphFilter, vtkProgrammableFilter, vtkProgrammableAttributeDataFilter, vtkWendlandQuinticKernel, vtkVoxelGrid, vtkVoronoiKernel, vtkUnsignedDistance, vtkStatisticalOutlierRemoval, vtkSPHQuinticKernel, vtkSPHQuarticKernel, vtkSPHKernel, vtkSPHInterpolator, vtkSPHCubicKernel, vtkSignedDistance, vtkShepardKernel, vtkRadiusOutlierRemoval, vtkProjectPointsToPlane, vtkProbabilisticVoronoiKernel, vtkPoissonDiskSampler, vtkPointSmoothingFilter, vtkPointOccupancyFilter, vtkPointInterpolator2D, vtkPointInterpolator, vtkPointDensityFilter, vtkPointCloudFilter, vtkPCANormalEstimation, vtkPCACurvatureEstimation, vtkMaskPointsFilter, vtkLinearKernel, vtkInterpolationKernel, vtkHierarchicalBinningFilter, vtkGeneralizedKernel, vtkGaussianKernel, vtkFitImplicitFunction, vtkExtractSurface, vtkExtractPoints, vtkExtractPointCloudPiece, vtkExtractHierarchicalBins, vtkExtractEnclosedPoints, vtkEuclideanClusterExtraction, vtkEllipsoidalGaussianKernel, vtkDensifyPointCloudFilter, vtkConvertToPointCloud, vtkConnectedPointsFilter, vtkBoundedPointSource, vtkPCellSizeFilter, vtkPPCAStatistics, vtkPOrderStatistics, vtkPMultiCorrelativeStatistics, vtkPKMeansStatistics, vtkPDescriptiveStatistics, vtkPCorrelativeStatistics, vtkPContingencyStatistics, vtkPBivariateLinearTableThreshold, vtkPAutoCorrelativeStatistics, vtkStructuredImplicitConnectivity, vtkPExtractVOI, vtkPExtractRectilinearGrid, vtkPExtractGrid, vtkDistributedPointCloudFilter, vtkTransmitImageDataPiece, vtkPPairwiseExtractHistogram2D, vtkPExtractHistogram2D, vtkPComputeHistogram2DOutliers, vtkMemoryLimitImageDataStreamer, vtkExtractPiece, vtkPStructuredGridConnectivity, vtkPDistributedDataFilter, vtkPConnectivityFilter, vtkPStreamTracer, vtkPStreaklineFilter, vtkPParticleTracerBase, vtkPParticleTracer, vtkPParticlePathFilter, vtkPLagrangianParticleTracker, vtkRedistributeDataSetFilter, vtkProbeLineFilter, vtkPResampleWithDataSet, vtkPResampleToImage, vtkOverlappingCellsDetector, vtkGhostCellsGenerator, vtkGenerateGlobalIds, vtkExtractSubsetWithSeed, vtkDIYKdTreeUtilities, vtkDIYAggregateDataSetFilter, vtkAdaptiveResampleToImage, vtkTransmitUnstructuredGridPiece, vtkTransmitStructuredGridPiece, vtkTransmitStructuredDataPiece, vtkTransmitRectilinearGridPiece, vtkTransmitPolyDataPiece, vtkRemoveGhosts, vtkRectilinearGridOutlineFilter, vtkPYoungsMaterialInterface, vtkPTextureMapToSphere, vtkPSphereSource, vtkProcessIdScalars, vtkPResampleFilter, vtkPReflectionFilter, vtkPProjectSphereFilter, vtkPProbeFilter, vtkPPolyDataNormals, vtkPOutlineFilter, vtkPOutlineCornerFilter, vtkPMergeArrays, vtkPMaskPoints, vtkPLinearExtrusionFilter, vtkPKdTree, vtkPipelineSize, vtkPieceScalars, vtkPieceRequestFilter, vtkPHyperTreeGridProbeFilter, vtkPExtractSelectedArraysOverTime, vtkPExtractExodusGlobalTemporalVariables, vtkPExtractDataArraysOverTime, vtkPeriodicFilter, vtkPConvertToMultiBlockDataSet, vtkPartitionBalancer, vtkIntegrateAttributes, vtkHyperTreeGridGhostCellsGenerator, vtkGenerateProcessIds, vtkExtractUserDefinedPiece, vtkExtractUnstructuredGridPiece, vtkExtractPolyDataPiece, vtkExtractCTHPart, vtkDuplicatePolyData, vtkDistributedDataFilter, vtkCutMaterial, vtkCollectTable, vtkCollectPolyData, vtkCollectGraph, vtkAngularPeriodicFilter, vtkAlignImageDataSetFilter, vtkAggregateDataSetFilter, vtkAdaptiveTemporalInterpolator, vtkOTScatterPlotMatrix, vtkOTKernelSmoothing, vtkOTFilter, vtkOTDensityMap, vtkVolumeOfRevolutionFilter, vtkTrimmedExtrusionFilter, vtkSubdivideTetra, vtkSpherePuzzleArrows, vtkSpherePuzzle, vtkSelectPolyData, vtkSelectEnclosedPoints, vtkSectorSource, vtkRuledSurfaceFilter, vtkRotationalExtrusionFilter, vtkRibbonFilter, vtkQuadRotationalExtrusionFilter, vtkProjectedTexture, vtkPolyDataPointSampler, vtkOutlineFilter, vtkLoopSubdivisionFilter, vtkLinearSubdivisionFilter, vtkLinearExtrusionFilter, vtkLinearCellExtrusionFilter, vtkImprintFilter, vtkImageDataOutlineFilter, vtkHyperTreeGridOutlineFilter, vtkHausdorffDistancePointSetFilter, vtkGraphGeodesicPath, vtkGeodesicPath, vtkFitToHeightMapFilter, vtkFillHolesFilter, vtkDijkstraImageGeodesicPath, vtkDijkstraGraphGeodesicPath, vtkCookieCutter, vtkContourLoopExtraction, vtkCollisionDetectionFilter, vtkButterflySubdivisionFilter, vtkBandedPolyDataContourFilter, vtkAdaptiveSubdivisionFilter, vtkPairwiseExtractHistogram2D, vtkExtractHistogram2D, vtkComputeHistogram2DOutliers, vtkImageDataToHyperTreeGrid, vtkHyperTreeGridToUnstructuredGrid, vtkHyperTreeGridToDualGrid, vtkHyperTreeGridThreshold, vtkHyperTreeGridPlaneCutter, vtkHyperTreeGridGradient, vtkHyperTreeGridGeometry, vtkHyperTreeGridEvaluateCoarse, vtkHyperTreeGridDepthLimiter, vtkHyperTreeGridContour, vtkHyperTreeGridCellCenters, vtkHyperTreeGridAxisReflection, vtkHyperTreeGridAxisCut, vtkHyperTreeGridAxisClip, vtkWeightedTransformFilter, vtkTransformToGrid, vtkTemporalSnapToTimeStep, vtkTemporalShiftScale, vtkTemporalInterpolator, vtkTemporalFractal, vtkTemporalDataSetCache, vtkTemporalArrayOperatorFilter, vtkRenderLargeImage, vtkProjectedTerrainPath, vtkProcrustesAlignmentFilter, vtkPolyDataSilhouette, vtkPCAAnalysisFilter, vtkImplicitModeller, vtkImageToPolyDataFilter, vtkGridTransform, vtkGreedyTerrainDecimation, vtkGenerateTimeSteps, vtkForceTime, vtkFacetReader, vtkEarthSource, vtkDSPFilterGroup, vtkDSPFilterDefinition, vtkDepthSortPolyData, vtkBSplineTransform, vtkAdaptiveDataSetSurfaceFilter, vtkPointSetToOctreeImageFilter, vtkPointSetStreamer, vtkOctreeImageToPointSetFilter, vtkUnstructuredGridGeometryFilter, vtkStructuredPointsGeometryFilter, vtkStructuredGridGeometryFilter, vtkStructuredGridConnectivity, vtkStructuredAMRGridConnectivity, vtkRectilinearGridGeometryFilter, vtkRecoverGeometryWireframe, vtkProjectSphereFilter, vtkMarkBoundaryFilter, vtkLinearToQuadraticCellsFilter, vtkImageDataToUniformGrid, vtkImageDataGeometryFilter, vtkHierarchicalDataSetGeometryFilter, vtkGeometryFilter, vtkExplicitStructuredGridSurfaceFilter, vtkDataSetSurfaceFilter, vtkDataSetRegionSurfaceFilter, vtkCompositeDataGeometryFilter, vtkAttributeSmoothingFilter, vtkAbstractGridConnectivity, vtkGenericStreamTracer, vtkGenericProbeFilter, vtkGenericOutlineFilter, vtkGenericGlyph3DFilter, vtkGenericGeometryFilter, vtkGenericDataSetTessellator, vtkGenericCutter, vtkGenericContourFilter, vtkGenericClip, vtkYoungsMaterialInterface, vtkWarpVector, vtkWarpTo, vtkWarpScalar, vtkWarpLens, vtkVoxelContoursToSurfaceFilter, vtkVolumeContourSpectrumFilter, vtkVertexGlyphFilter, vtkUncertaintyTubeFilter, vtkTransformPolyDataFilter, vtkTransformFilter, vtkTimeSourceExample, vtkTessellatorFilter, vtkTemporalStatistics, vtkTemporalPathLineFilter, vtkTableToStructuredGrid, vtkTableToPolyData, vtkTableFFT, vtkTableBasedClipDataSet, vtkSynchronizeTimeFilter, vtkSubPixelPositionEdgels, vtkSubdivisionFilter, vtkStructuredGridClip, vtkSplitField, vtkSplitColumnComponents, vtkSplitByCellScalarFilter, vtkSplineFilter, vtkSphericalHarmonics, vtkSpatialRepresentationFilter, vtkShrinkPolyData, vtkShrinkFilter, vtkSampleImplicitFunctionFilter, vtkRotationFilter, vtkRemovePolyData, vtkReflectionFilter, vtkRecursiveDividingCubes, vtkRectilinearGridToTetrahedra, vtkRectilinearGridToPointSet, vtkRectilinearGridClip, vtkRandomAttributeGenerator, vtkQuantizePolyDataPoints, vtkQuadratureSchemeDictionaryGenerator, vtkQuadraturePointsGenerator, vtkQuadraturePointInterpolator, vtkProbePolyhedron, vtkPolyDataToReebGraphFilter, vtkPolyDataStreamer, vtkPointConnectivityFilter, vtkPassSelectedArrays, vtkPassArrays, vtkOverlappingAMRLevelIdScalars, vtkOBBTree, vtkOBBDicer, vtkNormalizeMatrixVectors, vtkMultiThreshold, vtkMultiBlockMergeFilter, vtkMultiBlockDataGroupFilter, vtkMergeVectorComponents, vtkMergeTimeFilter, vtkMergeCells, vtkMergeArrays, vtkMatricizeArray, vtkMarchingContourFilter, vtkLoopBooleanPolyDataFilter, vtkLinkEdgels, vtkLevelIdScalars, vtkJoinTables, vtkIntersectionPolyDataFilter, vtkInterpolatingSubdivisionFilter, vtkInterpolateDataSetAttributes, vtkImageMarchingCubes, vtkImageDataToPointSet, vtkIconGlyphFilter, vtkHyperStreamline, vtkHierarchicalDataLevelFilter, vtkGroupTimeStepsFilter, vtkGroupDataSetsFilter, vtkGraphWeightFilter, vtkGraphWeightEuclideanDistanceFilter, vtkGraphToPoints, vtkGraphLayoutFilter, vtkGradientFilter, vtkFiniteElementFieldDistributor, vtkExtractSelectionBase, vtkExtractSelectedFrustum, vtkExtractGhostCells, vtkExtractArray, vtkEqualizerFilter, vtkEdgePoints, vtkDistancePolyDataFilter, vtkDiscreteMarchingCubes, vtkDiscreteFlyingEdgesClipper2D, vtkDiscreteFlyingEdges3D, vtkDiscreteFlyingEdges2D, vtkDicer, vtkDensifyPolyData, vtkDeformPointSet, vtkDeflectNormals, vtkDateToNumeric, vtkDataSetTriangleFilter, vtkDataSetGradientPrecompute, vtkDataSetGradient, vtkCurvatures, vtkCursor3D, vtkCursor2D, vtkCountVertices, vtkCountFaces, vtkContourTriangulator, vtkCoincidentPoints, vtkClipVolume, vtkClipDataSet, vtkClipConvexPolyData, vtkClipClosedSurface, vtkCleanUnstructuredGridCells, vtkCleanUnstructuredGrid, vtkCellValidator, vtkCellDerivatives, vtkBrownianPoints, vtkBoxClipDataSet, vtkBooleanOperationPolyDataFilter, vtkBlockIdScalars, vtkBlankStructuredGridWithImage, vtkBlankStructuredGrid, vtkAxes, vtkAreaContourSpectrumFilter, vtkApproximatingSubdivisionFilter, vtkAppendPoints, vtkAppendLocationAttributes, vtkAnnotationLink, vtkAnimateModes, vtkVortexCore, vtkVectorFieldTopology, vtkTemporalInterpolatedVelocityField, vtkStreamTracer, vtkStreamSurface, vtkStreaklineFilter, vtkParticleTracerBase, vtkParticleTracer, vtkParticlePathFilter, vtkParallelVectors, vtkModifiedBSPTree, vtkLinearTransformCellLocator, vtkLagrangianParticleTracker, vtkLagrangianMatidaIntegrationModel, vtkLagrangianBasicIntegrationModel, vtkInterpolatedVelocityField, vtkEvenlySpacedStreamlines2D, vtkCompositeInterpolatedVelocityField, vtkCellLocatorInterpolatedVelocityField, vtkCachingInterpolatedVelocityField, vtkAMRInterpolatedVelocityField, vtkAbstractInterpolatedVelocityField, vtkValueSelector, vtkSelector, vtkProbeSelectedLocations, vtkLocationSelector, vtkHierarchicalDataExtractLevel, vtkHierarchicalDataExtractDataSets, vtkFrustumSelector, vtkExtractVectorComponents, vtkExtractUnstructuredGrid, vtkExtractTimeSteps, vtkExtractTensorComponents, vtkExtractSelection, vtkExtractSelectedThresholds, vtkExtractSelectedRows, vtkExtractSelectedPolyDataIds, vtkExtractSelectedLocations, vtkExtractSelectedIds, vtkExtractSelectedBlock, vtkExtractSelectedArraysOverTime, vtkExtractRectilinearGrid, vtkExtractPolyDataGeometry, vtkExtractParticlesOverTime, vtkExtractLevel, vtkExtractGrid, vtkExtractGeometry, vtkExtractExodusGlobalTemporalVariables, vtkExtractDataSets, vtkExtractDataOverTime, vtkExtractDataArraysOverTime, vtkExtractCellsByType, vtkExtractBlockUsingDataAssembly, vtkExtractBlock, vtkExpandMarkedElements, vtkConvertSelection, vtkBlockSelector, vtkWindowedSincPolyDataFilter, vtkVoronoi2D, vtkVectorNorm, vtkVectorDot, vtkUnstructuredGridToExplicitStructuredGrid, vtkUnstructuredGridQuadricDecimation, vtkTubeFilter, vtkTubeBender, vtkTriangleMeshPointNormals, vtkTriangleFilter, vtkTransposeTable, vtkThresholdPoints, vtkThreshold, vtkTensorGlyph, vtkSynchronizedTemplatesCutter3D, vtkSynchronizedTemplates3D, vtkSynchronizedTemplates2D, vtkSurfaceNets3D, vtkSurfaceNets2D, vtkStructuredGridOutlineFilter, vtkStructuredGridAppend, vtkStructuredDataPlaneCutter, vtkStripper, vtkStreamingTessellator, vtkStreamerBase, vtkStaticCleanUnstructuredGrid, vtkStaticCleanPolyData, vtkSphereTreeFilter, vtkSmoothPolyDataFilter, vtkSimpleElevationFilter, vtkReverseSense, vtkResampleWithDataSet, vtkResampleToImage, vtkRemoveUnusedPoints, vtkRemoveDuplicatePolys, vtkRectilinearSynchronizedTemplates, vtkRearrangeFields, vtkQuadricDecimation, vtkQuadricClustering, vtkProbeFilter, vtkPolyDataToUnstructuredGrid, vtkPolyDataTangents, vtkPolyDataPlaneCutter, vtkPolyDataPlaneClipper, vtkPolyDataNormals, vtkPolyDataEdgeConnectivityFilter, vtkPolyDataConnectivityFilter, vtkPointDataToCellData, vtkPlaneCutter, vtkPassThrough, vtkPackLabels, vtkMultiObjectMassProperties, vtkMoleculeAppend, vtkMergeFilter, vtkMergeFields, vtkMergeDataObjectFilter, vtkMassProperties, vtkMaskPolyData, vtkMaskPoints, vtkMaskFields, vtkMarchingSquares, vtkMarchingCubes, vtkImplicitProjectOnPlaneDistance, vtkImplicitPolyDataDistance, vtkImageDataToExplicitStructuredGrid, vtkImageAppend, vtkIdFilter, vtkHyperTreeGridProbeFilter, vtkHull, vtkHedgeHog, vtkGridSynchronizedTemplates3D, vtkGlyph3D, vtkGlyph2D, vtkFlyingEdgesPlaneCutter, vtkFlyingEdges3D, vtkFlyingEdges2D, vtkFieldDataToDataSetAttribute, vtkFieldDataToAttributeDataFilter, vtkFeatureEdges, vtkExtractEdges, vtkExtractCellsAlongPolyLine, vtkExtractCells, vtkExplicitStructuredGridToUnstructuredGrid, vtkExplicitStructuredGridCrop, vtkExecutionTimer, vtkElevationFilter, vtkEdgeSubdivisionCriterion, vtkDelaunay3D, vtkDelaunay2D, vtkDecimatePro, vtkDecimatePolylineFilter, vtkDataSetToDataObjectFilter, vtkDataSetEdgeSubdivisionCriterion, vtkDataObjectToDataSetFilter, vtkDataObjectGenerator, vtkCutter, vtkConvertToPolyhedra, vtkConvertToPartitionedDataSetCollection, vtkConvertToMultiBlockDataSet, vtkContourGrid, vtkContourFilter, vtkContour3DLinearGrid, vtkConstrainedSmoothingFilter, vtkConnectivityFilter, vtkCompositeDataProbeFilter, vtkCompositeCutter, vtkClipPolyData, vtkCleanPolyData, vtkCenterOfMass, vtkCellDataToPointData, vtkCellCenters, vtkBinnedDecimation, vtkBinCellDataFilter, vtkAttributeDataToTableFilter, vtkAttributeDataToFieldDataFilter, vtkAssignAttribute, vtkArrayRename, vtkArrayCalculator, vtkAppendSelection, vtkAppendPolyData, vtkAppendFilter, vtkAppendDataSets, vtkAppendCompositeDataLeaves, vtkAppendArcLength, vtk3DLinearGridPlaneCutter, vtk3DLinearGridCrinkleExtractor, vtkDGTet, vtkDGHex, vtkDGCell, vtkCellGridComputeSurface, vtkParallelAMRUtilities, vtkImageToAMR, vtkAMRSliceFilter, vtkAMRGaussianPulseSource, vtkPSimpleBondPerceiver, vtkOpenSlideReader, vtkOpenGLMoleculeMapper, vtkSimpleBondPerceiver, vtkProteinRibbonFilter, vtkProgrammableElectronicData, vtkPointSetToMoleculeFilter, vtkPeriodicTable, vtkMoleculeToPolyDataFilter, vtkMoleculeToLinesFilter, vtkMoleculeToBondStickFilter, vtkMoleculeToAtomBallFilter, vtkMoleculeMapper, vtkBlueObeliskDataParser, vtkBlueObeliskData, vtkWarpTransform, vtkTransformCollection, vtkTransform2D, vtkTransform, vtkThinPlateSplineTransform, vtkSphericalTransform, vtkPerspectiveTransform, vtkMatrixToLinearTransform, vtkMatrixToHomogeneousTransform, vtkLinearTransform, vtkLandmarkTransform, vtkIdentityTransform, vtkHomogeneousTransform, vtkGeneralTransform, vtkCylindricalTransform, vtkAbstractTransform, vtkTimerLog, vtkSocketCollection, vtkSocket, vtkServerSocket, vtkExecutableRunner, vtkDirectory, vtkClientSocket, vtkPythonArchiver, vtkResourceFileLocator, vtkHeap, vtkFunctionParser, vtkExprTkFunctionParser, vtkContourValues, vtkRungeKutta45, vtkRungeKutta4, vtkRungeKutta2, vtkQuaternionInterpolator, vtkPolynomialSolversUnivariate, vtkMatrix4x4, vtkMatrix3x3, vtkInitialValueProblemSolver, vtkFunctionSet, vtkFFT, vtkAmoebaMinimizer, vtkUnstructuredGridBaseAlgorithm, vtkUnstructuredGridAlgorithm, vtkUniformGridAMRAlgorithm, vtkUndirectedGraphAlgorithm, vtkTrivialProducer, vtkTrivialConsumer, vtkTreeAlgorithm, vtkThreadedImageAlgorithm, vtkThreadedCompositeDataPipeline, vtkTableAlgorithm, vtkStructuredGridAlgorithm, vtkStreamingDemandDrivenPipeline, vtkSphereTree, vtkSpanSpace, vtkSMPProgressObserver, vtkSimpleScalarTree, vtkSimpleReader, vtkSimpleImageToImageFilter, vtkSelectionAlgorithm, vtkScalarTree, vtkRectilinearGridAlgorithm, vtkReaderAlgorithm, vtkProgressObserver, vtkPolyDataAlgorithm, vtkPointSetAlgorithm, vtkPiecewiseFunctionShiftScale, vtkPiecewiseFunctionAlgorithm, vtkPassInputTypeAlgorithm, vtkPartitionedDataSetCollectionAlgorithm, vtkPartitionedDataSetAlgorithm, vtkParallelReader, vtkOverlappingAMRAlgorithm, vtkNonOverlappingAMRAlgorithm, vtkMultiTimeStepAlgorithm, vtkMultiBlockDataSetAlgorithm, vtkMoleculeAlgorithm, vtkImageToStructuredPoints, vtkImageInPlaceFilter, vtkImageAlgorithm, vtkHyperTreeGridAlgorithm, vtkHierarchicalBoxDataSetAlgorithm, vtkGraphAlgorithm, vtkExtentTranslator, vtkExtentSplitter, vtkExplicitStructuredGridAlgorithm, vtkExecutive, vtkEnsembleSource, vtkDirectedGraphAlgorithm, vtkDemandDrivenPipeline, vtkDataSetAlgorithm, vtkDataObjectAlgorithm, vtkCompositeDataSetAlgorithm, vtkCompositeDataPipeline, vtkCellGridAlgorithm, vtkCastToConcrete, vtkCachedStreamingDemandDrivenPipeline, vtkArrayDataAlgorithm, vtkAnnotationLayersAlgorithm, vtkAlgorithmOutput, vtkAlgorithm, vtkXMLDataElement, vtkWedge, vtkVoxel, vtkVertexListIterator, vtkVertex, vtkUnstructuredGridCellIterator, vtkUnstructuredGridBase, vtkUnstructuredGrid, vtkUniformHyperTreeGrid, vtkUniformGridAMRDataIterator, vtkUniformGridAMR, vtkUniformGrid, vtkUndirectedGraph, vtkTriQuadraticPyramid, vtkTriQuadraticHexahedron, vtkTriangleStrip, vtkTriangle, vtkTreeIterator, vtkTreeDFSIterator, vtkTreeBFSIterator, vtkTree, vtkTetra, vtkTable, vtkSuperquadric, vtkStructuredPointsCollection, vtkStructuredPoints, vtkStructuredGrid, vtkStructuredExtent, vtkStructuredData, vtkStaticPointLocator2D, vtkStaticPointLocator, vtkStaticCellLocator, vtkStaticCellLinks, vtkSpline, vtkSphericalPointIterator, vtkSpheres, vtkSphere, vtkSortFieldData, vtkSmoothErrorMetric, vtkSimpleCellTessellator, vtkSelectionNode, vtkSelection, vtkReebGraphSimplificationMetric, vtkReebGraph, vtkRectilinearGrid, vtkQuadric, vtkQuadratureSchemeDefinition, vtkQuadraticWedge, vtkQuadraticTriangle, vtkQuadraticTetra, vtkQuadraticQuad, vtkQuadraticPyramid, vtkQuadraticPolygon, vtkQuadraticLinearWedge, vtkQuadraticLinearQuad, vtkQuadraticHexahedron, vtkQuadraticEdge, vtkQuad, vtkPyramid, vtkPolyVertex, vtkPolyPlane, vtkPolyLine, vtkPolyhedron, vtkPolygon, vtkPolyDataCollection, vtkPolyData, vtkPointsProjectedHull, vtkPointSetCellIterator, vtkPointSet, vtkPointLocator, vtkPointData, vtkPlanesIntersection, vtkPlanes, vtkPlaneCollection, vtkPlane, vtkPixel, vtkPiecewiseFunction, vtkPerlinNoise, vtkPeriodicDataArray< Scalar >, vtkPentagonalPrism, vtkPath, vtkPartitionedDataSetCollection, vtkPartitionedDataSet, vtkOverlappingAMR, vtkOutEdgeIterator, vtkOrderedTriangulator, vtkOctreePointLocatorNode, vtkOctreePointLocator, vtkNonOverlappingAMR, vtkNonMergingPointLocator, vtkNonLinearCell, vtkMutableUndirectedGraph, vtkMutableDirectedGraph, vtkMultiPieceDataSet, vtkMultiBlockDataSet, vtkMolecule, vtkMergePoints, vtkMeanValueCoordinatesInterpolator, vtkMappedUnstructuredGridCellIterator< Implementation >, vtkMappedUnstructuredGrid< Implementation, CellIterator >, vtkLocator, vtkLine, vtkLagrangeWedge, vtkLagrangeTriangle, vtkLagrangeTetra, vtkLagrangeQuadrilateral, vtkLagrangeInterpolation, vtkLagrangeHexahedron, vtkLagrangeCurve, vtkKdTreePointLocator, vtkKdTree, vtkKdNode, vtkIterativeClosestPointTransform, vtkInEdgeIterator, vtkIncrementalPointLocator, vtkIncrementalOctreePointLocator, vtkIncrementalOctreeNode, vtkImplicitWindowFunction, vtkImplicitVolume, vtkImplicitSum, vtkImplicitSelectionLoop, vtkImplicitHalo, vtkImplicitFunctionCollection, vtkImplicitFunction, vtkImplicitDataSet, vtkImplicitBoolean, vtkImageTransform, vtkImageData, vtkHyperTreeGridOrientedGeometryCursor, vtkHyperTreeGridOrientedCursor, vtkHyperTreeGridNonOrientedVonNeumannSuperCursorLight, vtkHyperTreeGridNonOrientedVonNeumannSuperCursor, vtkHyperTreeGridNonOrientedUnlimitedSuperCursor, vtkHyperTreeGridNonOrientedUnlimitedMooreSuperCursor, vtkHyperTreeGridNonOrientedUnlimitedGeometryCursor, vtkHyperTreeGridNonOrientedSuperCursorLight, vtkHyperTreeGridNonOrientedSuperCursor, vtkHyperTreeGridNonOrientedMooreSuperCursorLight, vtkHyperTreeGridNonOrientedMooreSuperCursor, vtkHyperTreeGridNonOrientedGeometryCursor, vtkHyperTreeGridNonOrientedCursor, vtkHyperTreeGridLocator, vtkHyperTreeGrid, vtkHyperTreeCursor, vtkHyperTree, vtkHigherOrderWedge, vtkHigherOrderTriangle, vtkHigherOrderTetra, vtkHigherOrderQuadrilateral, vtkHigherOrderInterpolation, vtkHigherOrderHexahedron, vtkHigherOrderCurve, vtkHierarchicalBoxDataSet, vtkHierarchicalBoxDataIterator, vtkHexahedron, vtkHexagonalPrism, vtkGraphInternals, vtkGraphEdge, vtkGraph, vtkGeometricErrorMetric, vtkGenericSubdivisionErrorMetric, vtkGenericPointIterator, vtkGenericInterpolatedVelocityField, vtkGenericEdgeTable, vtkGenericDataSet, vtkGenericCellTessellator, vtkGenericCellIterator, vtkGenericCell, vtkGenericAttributeCollection, vtkGenericAttribute, vtkGenericAdaptorCell, vtkFindCellStrategy, vtkFieldData, vtkExtractStructuredGridHelper, vtkExplicitStructuredGrid, vtkEmptyCell, vtkEdgeTable, vtkEdgeListIterator, vtkDistributedGraphHelper, vtkDirectedGraph, vtkDirectedAcyclicGraph, vtkDataSetCollection, vtkDataSetCellIterator, vtkDataSetAttributes, vtkDataSet, vtkDataObjectTypes, vtkDataObjectTreeIterator, vtkDataObjectTree, vtkDataObjectCollection, vtkDataObject, vtkDataAssemblyVisitor, vtkDataAssemblyUtilities, vtkDataAssembly, vtkCylinder, vtkCubicLine, vtkCoordinateFrame, vtkConvexPointSet, vtkCone, vtkCompositeDataSet, vtkCompositeDataIterator, vtkClosestPointStrategy, vtkClosestNPointsStrategy, vtkCellTypes, vtkCellTreeLocator, vtkCellMetadata, vtkCellLocatorStrategy, vtkCellLocator, vtkCellLinks, vtkCellIterator, vtkCellGridSidesQuery, vtkCellGridResponders, vtkCellGridResponderBase, vtkCellGridResponder< QueryClass >, vtkCellGridResponder< vtkOpenGLCellGridRenderRequest >, vtkCellGridResponder< vtkCellGridSidesQuery >, vtkCellGridResponder< vtkCellGridBoundsQuery >, vtkCellGridQuery, vtkCellGridBoundsQuery, vtkCellGrid, vtkCellData, vtkCellAttribute, vtkCellArrayIterator, vtkCellArray, vtkCell3D, vtkCell, vtkBSPIntersections, vtkBSPCuts, vtkBox, vtkBiQuadraticTriangle, vtkBiQuadraticQuadraticWedge, vtkBiQuadraticQuadraticHexahedron, vtkBiQuadraticQuad, vtkBezierWedge, vtkBezierTriangle, vtkBezierTetra, vtkBezierQuadrilateral, vtkBezierInterpolation, vtkBezierHexahedron, vtkBezierCurve, vtkAttributesErrorMetric, vtkArrayData, vtkAnnotationLayers, vtkAnnotation, vtkAnimationScene, vtkAngularPeriodicDataArray< Scalar >, vtkAMRUtilities, vtkAMRInformation, vtkAMRDataInternals, vtkAdjacentVertexIterator, vtkAbstractPointLocator, vtkAbstractElectronicData, vtkAbstractCellLocator, vtkAbstractCellLinks, vtkXMLFileOutputWindow, vtkWindow, vtkWin32ProcessOutputWindow, vtkWin32OutputWindow, vtkVoidArray, vtkVersion, vtkVariantArray, vtkUnsignedShortArray, vtkUnsignedLongLongArray, vtkUnsignedLongArray, vtkUnsignedIntArray, vtkUnsignedCharArray, vtkTypedArray< T >, vtkTimePointUtility, vtkTestDataArray< ArrayT >, vtkStringOutputWindow, vtkStringManager, vtkStringArray, vtkSparseArray< T >, vtkSortDataArray, vtkSignedCharArray, vtkShortArray, vtkScalarsToColors, vtkReferenceCount, vtkRandomSequence, vtkRandomPool, vtkPriorityQueue, vtkPoints2D, vtkPoints, vtkOverrideInformationCollection, vtkOverrideInformation, vtkOutputWindow, vtkObjectFactoryCollection, vtkObjectFactory, vtkOSOpenGLRenderWindow, vtkSQLGraphReader, vtkSQLDatabaseGraphSource, vtkCGMWriter, vtkCPExodusIIElementBlockCellIterator, vtkXYPlotRepresentation, vtkNonOverlappingAMRLevelIdScalars, vtkOpenQubeMoleculeSource, vtkOpenQubeElectronicData, and vtkOpenGLCellGridMapper.

## ◆ SetGlobalWarningDisplay()

static void vtkObject::SetGlobalWarningDisplay | ( | vtkTypeBool | val | ) |
| static

This is a global flag that controls whether any debug, warning or error messages are displayed.

## ◆ GlobalWarningDisplayOn()

static void vtkObject::GlobalWarningDisplayOn | ( |  | ) |
| inlinestatic

This is a global flag that controls whether any debug, warning or error messages are displayed.

Definition at line 130 of file vtkObject.h.

## ◆ GlobalWarningDisplayOff()

static void vtkObject::GlobalWarningDisplayOff | ( |  | ) |
| inlinestatic

This is a global flag that controls whether any debug, warning or error messages are displayed.

Definition at line 131 of file vtkObject.h.

## ◆ GetGlobalWarningDisplay()

static vtkTypeBool vtkObject::GetGlobalWarningDisplay | ( |  | ) |
| static

This is a global flag that controls whether any debug, warning or error messages are displayed.

## ◆ AddObserver() [1/5]

unsigned long vtkObject::AddObserver | ( | unsigned long | event,
|  | vtkCommand * | ,
|  | float | priority = `0.0f`
| ) |  |

Allow people to add/remove/invoke observers (callbacks) to any VTK object.

This is an implementation of the subject/observer design pattern. An observer is added by specifying an event to respond to and a vtkCommand to execute. It returns an unsigned long tag which can be used later to remove the event or retrieve the command. When events are invoked, the observers are called in the order they were added. If a priority value is specified, then the higher priority commands are called first. A command may set an abort flag to stop processing of the event. (See vtkCommand.h for more information.)

## ◆ AddObserver() [2/5]

unsigned long vtkObject::AddObserver | ( | const char * | event,
|  | vtkCommand * | ,
|  | float | priority = `0.0f`
| ) |  |

Allow people to add/remove/invoke observers (callbacks) to any VTK object.

This is an implementation of the subject/observer design pattern. An observer is added by specifying an event to respond to and a vtkCommand to execute. It returns an unsigned long tag which can be used later to remove the event or retrieve the command. When events are invoked, the observers are called in the order they were added. If a priority value is specified, then the higher priority commands are called first. A command may set an abort flag to stop processing of the event. (See vtkCommand.h for more information.)

## ◆ GetCommand()

vtkCommand* vtkObject::GetCommand | ( | unsigned long | tag | ) |

Allow people to add/remove/invoke observers (callbacks) to any VTK object.

This is an implementation of the subject/observer design pattern. An observer is added by specifying an event to respond to and a vtkCommand to execute. It returns an unsigned long tag which can be used later to remove the event or retrieve the command. When events are invoked, the observers are called in the order they were added. If a priority value is specified, then the higher priority commands are called first. A command may set an abort flag to stop processing of the event. (See vtkCommand.h for more information.)

## ◆ RemoveObserver() [1/2]

void vtkObject::RemoveObserver | ( | vtkCommand * |  | ) |

Allow people to add/remove/invoke observers (callbacks) to any VTK object.

This is an implementation of the subject/observer design pattern. An observer is added by specifying an event to respond to and a vtkCommand to execute. It returns an unsigned long tag which can be used later to remove the event or retrieve the command. When events are invoked, the observers are called in the order they were added. If a priority value is specified, then the higher priority commands are called first. A command may set an abort flag to stop processing of the event. (See vtkCommand.h for more information.)

## ◆ RemoveObservers() [1/4]

void vtkObject::RemoveObservers | ( | unsigned long | event,
|  | vtkCommand * |
| ) |  |

Allow people to add/remove/invoke observers (callbacks) to any VTK object.

This is an implementation of the subject/observer design pattern. An observer is added by specifying an event to respond to and a vtkCommand to execute. It returns an unsigned long tag which can be used later to remove the event or retrieve the command. When events are invoked, the observers are called in the order they were added. If a priority value is specified, then the higher priority commands are called first. A command may set an abort flag to stop processing of the event. (See vtkCommand.h for more information.)

## ◆ RemoveObservers() [2/4]

void vtkObject::RemoveObservers | ( | const char * | event,
|  | vtkCommand * |
| ) |  |

Allow people to add/remove/invoke observers (callbacks) to any VTK object.

This is an implementation of the subject/observer design pattern. An observer is added by specifying an event to respond to and a vtkCommand to execute. It returns an unsigned long tag which can be used later to remove the event or retrieve the command. When events are invoked, the observers are called in the order they were added. If a priority value is specified, then the higher priority commands are called first. A command may set an abort flag to stop processing of the event. (See vtkCommand.h for more information.)

## ◆ HasObserver() [1/4]

vtkTypeBool vtkObject::HasObserver | ( | unsigned long | event,
|  | vtkCommand * |
| ) |  |

Allow people to add/remove/invoke observers (callbacks) to any VTK object.

This is an implementation of the subject/observer design pattern. An observer is added by specifying an event to respond to and a vtkCommand to execute. It returns an unsigned long tag which can be used later to remove the event or retrieve the command. When events are invoked, the observers are called in the order they were added. If a priority value is specified, then the higher priority commands are called first. A command may set an abort flag to stop processing of the event. (See vtkCommand.h for more information.)

## ◆ HasObserver() [2/4]

vtkTypeBool vtkObject::HasObserver | ( | const char * | event,
|  | vtkCommand * |
| ) |  |

Allow people to add/remove/invoke observers (callbacks) to any VTK object.

This is an implementation of the subject/observer design pattern. An observer is added by specifying an event to respond to and a vtkCommand to execute. It returns an unsigned long tag which can be used later to remove the event or retrieve the command. When events are invoked, the observers are called in the order they were added. If a priority value is specified, then the higher priority commands are called first. A command may set an abort flag to stop processing of the event. (See vtkCommand.h for more information.)

## ◆ RemoveObserver() [2/2]

void vtkObject::RemoveObserver | ( | unsigned long | tag | ) |

## ◆ RemoveObservers() [3/4]

void vtkObject::RemoveObservers | ( | unsigned long | event | ) |

## ◆ RemoveObservers() [4/4]

void vtkObject::RemoveObservers | ( | const char * | event | ) |

## ◆ RemoveAllObservers()

void vtkObject::RemoveAllObservers | ( |  | ) |

## ◆ HasObserver() [3/4]

vtkTypeBool vtkObject::HasObserver | ( | unsigned long | event | ) |

## ◆ HasObserver() [4/4]

vtkTypeBool vtkObject::HasObserver | ( | const char * | event | ) |

## ◆ AddObserver() [3/5]

template<class U , class T >

unsigned long vtkObject::AddObserver | ( | unsigned long | event,
|  | U | observer,
|  | void(T::*)() | callback,
|  | float | priority = `0.0f`
| ) |  |
| inline

Overloads to AddObserver that allow developers to add class member functions as callbacks for events.

The callback function can be one of these two types:

void foo();\n
void foo(vtkObject*, unsigned long, void*);
vtkObject
abstract base class for most VTK objects
Definition: vtkObject.h:61

If the callback is a member of a vtkObjectBase-derived object, then the callback will automatically be disabled if the object destructs (but the observer will not automatically be removed). If the callback is a member of any other type of object, then the observer must be removed before the object destructs or else its dead pointer will be used the next time the event occurs. Typical usage of these functions is as follows:

SomeClassOfMine* observer = SomeClassOfMine::New();\n
to_observe->AddObserver(event, observer, \&SomeClassOfMine::SomeMethod);

Note that this does not affect the reference count of a vtkObjectBase-derived `observer`, which can be safely deleted with the observer still in place. For non-vtkObjectBase observers, the observer should never be deleted before it is removed. Return value is a tag that can be used to remove the observer.

Definition at line 192 of file vtkObject.h.

## ◆ AddObserver() [4/5]

template<class U , class T >

unsigned long vtkObject::AddObserver | ( | unsigned long | event,
|  | U | observer,
|  | void(T::*)(vtkObject *, unsigned long, void *) | callback,
|  | float | priority = `0.0f`
| ) |  |
| inline

Overloads to AddObserver that allow developers to add class member functions as callbacks for events.

The callback function can be one of these two types:

void foo();\n
void foo(vtkObject*, unsigned long, void*);

If the callback is a member of a vtkObjectBase-derived object, then the callback will automatically be disabled if the object destructs (but the observer will not automatically be removed). If the callback is a member of any other type of object, then the observer must be removed before the object destructs or else its dead pointer will be used the next time the event occurs. Typical usage of these functions is as follows:

SomeClassOfMine* observer = SomeClassOfMine::New();\n
to_observe->AddObserver(event, observer, \&SomeClassOfMine::SomeMethod);

Note that this does not affect the reference count of a vtkObjectBase-derived `observer`, which can be safely deleted with the observer still in place. For non-vtkObjectBase observers, the observer should never be deleted before it is removed. Return value is a tag that can be used to remove the observer.

Definition at line 201 of file vtkObject.h.

## ◆ AddObserver() [5/5]

template<class U , class T >

unsigned long vtkObject::AddObserver | ( | unsigned long | event,
|  | U | observer,
|  | bool(T::*)(vtkObject *, unsigned long, void *) | callback,
|  | float | priority = `0.0f`
| ) |  |
| inline

Allow user to set the AbortFlagOn() with the return value of the callback method.

Definition at line 217 of file vtkObject.h.

## ◆ InvokeEvent() [1/4]

vtkTypeBool vtkObject::InvokeEvent | ( | unsigned long | event,
|  | void * | callData
| ) |  |

This method invokes an event and return whether the event was aborted or not.

If the event was aborted, the return value is 1, otherwise it is 0.

## ◆ InvokeEvent() [2/4]

vtkTypeBool vtkObject::InvokeEvent | ( | const char * | event,
|  | void * | callData
| ) |  |

This method invokes an event and return whether the event was aborted or not.

If the event was aborted, the return value is 1, otherwise it is 0.

## ◆ InvokeEvent() [3/4]

vtkTypeBool vtkObject::InvokeEvent | ( | unsigned long | event | ) |
| inline

Definition at line 237 of file vtkObject.h.

## ◆ InvokeEvent() [4/4]

vtkTypeBool vtkObject::InvokeEvent | ( | const char * | event | ) |
| inline

Definition at line 238 of file vtkObject.h.

## ◆ SetObjectName()

virtual void vtkObject::SetObjectName | ( | const std::string & | objectName | ) |
| virtual

Set/get the name of this object for reporting purposes.

The name appears in warning and debug messages and in the Print output. Setting the object name does not change the MTime and does not invoke a ModifiedEvent. Derived classes implementing copying methods are expected not to copy the ObjectName.

## ◆ GetObjectName()

virtual std::string vtkObject::GetObjectName | ( |  | ) | const
| virtual

Set/get the name of this object for reporting purposes.

The name appears in warning and debug messages and in the Print output. Setting the object name does not change the MTime and does not invoke a ModifiedEvent. Derived classes implementing copying methods are expected not to copy the ObjectName.

## ◆ GetObjectDescription()

std::string vtkObject::GetObjectDescription | ( |  | ) | const
| overridevirtual

The object description printed in messages and PrintSelf output.

To be used only for reporting purposes.

Reimplemented from vtkObjectBase.

## ◆ RegisterInternal()

void vtkObject::RegisterInternal | ( | vtkObjectBase * | ,
|  | vtkTypeBool | check
| ) |  |
| overrideprotectedvirtual

Reimplemented from vtkObjectBase.

## ◆ UnRegisterInternal()

void vtkObject::UnRegisterInternal | ( | vtkObjectBase * | ,
|  | vtkTypeBool | check
| ) |  |
| overrideprotectedvirtual

Reimplemented from vtkObjectBase.

## ◆ InternalGrabFocus()

void vtkObject::InternalGrabFocus | ( | vtkCommand * | mouseEvents,
|  | vtkCommand * | keypressEvents = `nullptr`
| ) |  |
| protected

These methods allow a command to exclusively grab all events.

(This method is typically used by widgets to grab events once an event sequence begins.) These methods are provided in support of the public methods found in the class vtkInteractorObserver. Note that these methods are designed to support vtkInteractorObservers since they use two separate vtkCommands to watch for mouse and keypress events.

## ◆ InternalReleaseFocus()

void vtkObject::InternalReleaseFocus | ( |  | ) |
| protected

These methods allow a command to exclusively grab all events.

(This method is typically used by widgets to grab events once an event sequence begins.) These methods are provided in support of the public methods found in the class vtkInteractorObserver. Note that these methods are designed to support vtkInteractorObservers since they use two separate vtkCommands to watch for mouse and keypress events.

## Friends And Related Function Documentation

## ◆ vtkObjectCommandInternal

friend class vtkObjectCommandInternal
| friend

Called by templated variants of AddObserver.

Definition at line 426 of file vtkObject.h.

## Member Data Documentation

## ◆ Debug

bool vtkObject::Debug
| protected

Definition at line 265 of file vtkObject.h.

## ◆ MTime

vtkTimeStamp vtkObject::MTime
| protected

Definition at line 266 of file vtkObject.h.

## ◆ SubjectHelper

vtkSubjectHelper* vtkObject::SubjectHelper
| protected

Definition at line 267 of file vtkObject.h.

## ◆ ObjectName

std::string vtkObject::ObjectName
| protected

Definition at line 268 of file vtkObject.h.

The documentation for this class was generated from the following file:

- Common/Core/vtkObject.h